/**
 * @license
 * Copyright 2020 Google LLC. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * =============================================================================
 */
import{_FusedMatMul as e,util as n,Abs as t,backend_util as r,Add as a,AddN as u,Identity as s,Transpose as o,ArgMax as i,AvgPool as l,BatchMatMul as d,Cast as c,ClipByValue as p,Concat as f,Conv2D as m,Conv2DBackpropInput as h,Cos as _,CropAndResize as b,DepthwiseConv2dNative as y,Div as g,Equal as w,Exp as v,Fill as I,FlipLeftRight as k,FloorDiv as E,FusedBatchNorm as A,FusedConv2D as M,FusedDepthwiseConv2D as S,GatherNd as x,gather_util as N,GatherV2 as T,Greater as F,GreaterEqual as O,Less as C,LessEqual as R,Log as P,LogicalAnd as D,Max as W,Maximum as B,MaxPool as L,Min as H,Minimum as U,Multiply as z,Negate as j,NonMaxSuppressionV3 as G,NonMaxSuppressionV4 as V,NonMaxSuppressionV5 as q,NotEqual as X,OneHot as $,OnesLike as Y,PadV2 as K,Pow as Q,Prelu as Z,Relu as J,Relu6 as ee,Reshape as ne,ResizeBilinear as te,Reverse as re,RotateWithOffset as ae,Rsqrt as ue,ScatterNd as se,scatter_util as oe,SelectV2 as ie,Sigmoid as le,Sin as de,Slice as ce,slice_util as pe,buffer as fe,Softmax as me,SplitV as he,Sqrt as _e,Square as be,Sub as ye,Sum as ge,Tanh as we,Tile as ve,Unpack as Ie,ZerosLike as ke,registerKernel as Ee,env as Ae,KernelBackend as Me,DataStorage as Se,engine as xe,registerBackend as Ne,deprecationWarn as Te}from"@tensorflow/tfjs-core";import Fe from"path";import Oe from"fs";import Ce from"worker_threads";import Re from"perf_hooks";var Pe,De;let We;!function(e){e[e.float32=0]="float32",e[e.int32=1]="int32",e[e.bool=2]="bool",e[e.string=3]="string",e[e.complex64=4]="complex64"}(Pe||(Pe={})),function(e){e[e.linear=0]="linear",e[e.relu=1]="relu",e[e.relu6=2]="relu6",e[e.prelu=3]="prelu"}(De||(De={}));const Be={kernelName:e,backendName:"wasm",setupFunc:function(n){We=n.wasm.cwrap(e,null,["number","array","number","number","array","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:t,attrs:r}=e,{a:a,b:u,bias:s,preluActivationWeights:o}=n;if("float32"!==a.dtype||"float32"!==u.dtype)throw new Error("_FusedMatMul for non non-float32 tensors not yet supported.");const{transposeA:i,transposeB:l,activation:d}=r,c=t.dataIdMap.get(a.dataId).id,p=t.dataIdMap.get(u.dataId).id;let f=0;if(null!=s){const e=t.dataIdMap.get(s.dataId);if(1!==e.shape.length)throw new Error("_FusedMatMul only supports rank-1 bias but got "+`rank ${e.shape.length}.`);f=e.id}const m=null==o?0:t.dataIdMap.get(o.dataId).id,h=De[d];if(null==h)throw new Error(`${d} activation not yet supported for FusedConv2D `+"in the wasm backend.");const _=i?a.shape[2]:a.shape[1],b=l?u.shape[1]:u.shape[2],y=a.shape[0],g=t.makeOutput([y,_,b],a.dtype),w=t.dataIdMap.get(g.dataId).id,v=new Uint8Array(new Int32Array(a.shape).buffer),I=new Uint8Array(new Int32Array(u.shape).buffer);return We(c,v,a.shape.length,p,I,u.shape.length,i,l,h,f,m,w),g}};function Le(e){let t;return{kernelName:e,backendName:"wasm",setupFunc:function(n){t=n.wasm.cwrap(e,null,["number","number"])},kernelFunc:function(e){const{backend:r,inputs:{x:a}}=e,u=r.dataIdMap.get(a.dataId).id,s=r.makeOutput(a.shape,a.dtype),o=r.dataIdMap.get(s.dataId).id;return 0===n.sizeFromShape(s.shape)?s:(t(u,o),s)}}}const He=Le(t);function Ue(e,t,a){let u;return{kernelName:e,backendName:"wasm",setupFunc:function(n){u=n.wasm.cwrap(e,null,["number","array","number","number","array","number","number","number"])},kernelFunc:function(s){const{backend:o,inputs:i}=s,{a:l,b:d}=i,c=o.dataIdMap.get(l.dataId).id,p=o.dataIdMap.get(d.dataId).id,f=null!=a?a:l.dtype,m=r.assertAndGetBroadcastShape(l.shape,d.shape),h=o.makeOutput(m,f);if(0===n.sizeFromShape(m))return h;const _=new Uint8Array(new Int32Array(l.shape).buffer),b=new Uint8Array(new Int32Array(d.shape).buffer),y=o.dataIdMap.get(h.dataId).id,g=()=>u(c,_,l.shape.length,p,b,d.shape.length,Pe[l.dtype],y);if(t&&"float32"===l.dtype)return g(),h;const w=r.getBroadcastDims(l.shape,m),v=r.getBroadcastDims(d.shape,m),I=w.every((e,n)=>e===n),k=v.every((e,n)=>e===n);if(I&&k)return g(),h;throw new Error("Broadcasting along outer dims is not yet "+`supported for ${l.dtype} ${e}.`)}}}const ze=Ue(a,!0);let je;const Ge={kernelName:u,backendName:"wasm",setupFunc:function(e){je=e.wasm.cwrap(u,null,["array","number","number","number"])},kernelFunc:function(e){const{inputs:t,backend:r}=e,a=r.makeOutput(t[0].shape,t[0].dtype);if(0===n.sizeFromShape(a.shape))return a;const u=t.map(e=>r.dataIdMap.get(e.dataId).id),s=new Uint8Array(new Int32Array(u).buffer),o=r.dataIdMap.get(a.dataId).id;return je(s,u.length,Pe[a.dtype],o),a}};function Ve(e){const{inputs:{x:n},backend:t}=e,r=t.makeOutput(n.shape,n.dtype),a=t.typedArrayFromHeap(n);return t.typedArrayFromHeap(r).set(a),r}const qe={kernelName:s,backendName:"wasm",kernelFunc:Ve};let Xe;function $e(e){const{inputs:n,backend:t,attrs:r}=e,[a,u]=function(e,n){const t=[],r=[];for(let a=0;a<e.length;++a)1!==e[a]&&t.push(e[a]),1!==e[n[a]]&&r.push(n[a]);for(let e=0;e<r.length;++e){let n=-1;for(let t=0;t<r.length;++t)r[t]>=e&&(-1===n||r[n]>r[t])&&(n=t);r[n]=e}return[t,r]}(n.x.shape,r.perm);let s=!0;for(let e=0;e<u.length;e++)u[e]!==e&&(s=!1);const o=function(e,n){const t=new Array(e.length);for(let r=0;r<t.length;r++)t[r]=e[n[r]];return t}(n.x.shape,r.perm),i={dataId:n.x.dataId,shape:a,dtype:n.x.dtype};if(s){const e=Ve({inputs:n,backend:t});return e.shape=o,e}const l=t.makeOutput(o,i.dtype),d=t.dataIdMap.get(i.dataId).id,c=t.dataIdMap.get(l.dataId).id,p=new Uint8Array(new Int32Array(u).buffer),f=new Uint8Array(new Int32Array(i.shape).buffer);return Xe(d,f,i.shape.length,Pe[i.dtype],c,p,u.length),l}const Ye={kernelName:o,backendName:"wasm",kernelFunc:$e,setupFunc:function(e){Xe=e.wasm.cwrap(o,null,["number","array","number","number","number","array","number"])}};function Ke(e,t,a){const u=e.shape,s=e.shape.length,o=n.parseAxisParam(t,u);let i=o;const l=r.getAxesPermutation(i,s);let d=null,c=!1;if(null!=l){const n=new Array(s);for(let e=0;e<n.length;e++)n[e]=u[l[e]];i=r.getInnerMostAxes(i.length,s),d=$e({inputs:{x:e},attrs:{perm:l},backend:a});const t=a.dataIdMap.get(e.dataId).id;a.dataIdMap.get(d.dataId).id!==t&&(c=!0)}return{transposed:d,originalAxes:o,axes:i,inputWasTransposed:c}}let Qe;const Ze={kernelName:i,backendName:"wasm",kernelFunc:function(e){const{backend:t,inputs:r,attrs:a}=e,{axis:u}=a,{x:s}=r,o=t.dataIdMap.get(s.dataId).id;let i=o,l=s;const{transposed:d,axes:c,inputWasTransposed:p}=Ke(s,u,t);if(p){const e=t.dataIdMap.get(d.dataId).id;e!==o&&(l=d,i=e)}const f=l.shape.slice(0,-1),m=t.makeOutput(f,"int32"),h=t.dataIdMap.get(m.dataId).id,_=n.sizeFromShape(m.shape),b=l.shape[c[0]];return Qe(i,Pe[l.dtype],_,b,h),p&&t.disposeData(d.dataId),m},setupFunc:function(e){Qe=e.wasm.cwrap(i,null,["number","number","number","number","number"])}};let Je;const en={kernelName:l,backendName:"wasm",setupFunc:function(e){Je=e.wasm.cwrap(l,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:t,backend:a}=e,u=n.x,s=a.dataIdMap.get(u.dataId).id,{filterSize:o,strides:i,pad:l,dimRoundingMode:d}=t,c=r.computePool2DInfo(u.shape,o,i,1,l,d),p=c.filterHeight,f=c.filterWidth,m=c.padInfo.top,h=c.padInfo.right,_=c.padInfo.bottom,b=c.padInfo.left,y=c.strideHeight,g=c.strideWidth,w=c.inChannels;if("channelsLast"!==c.dataFormat)throw new Error("wasm backend does not support dataFormat:'"+`${c.dataFormat}'. Please use 'channelsLast'.`);if(1!==c.dilationWidth||1!==c.dilationHeight)throw new Error("was backend only supports average pooling with dilation = [1, 1], "+`got [${c.dilationHeight}, ${c.dilationWidth}].`);const v=a.makeOutput(c.outShape,"float32"),I=a.dataIdMap.get(v.dataId).id;return Je(s,u.shape[0],u.shape[1],u.shape[2],p,f,m,h,_,b,y,g,w,I),v}};let nn;const tn={kernelName:d,backendName:"wasm",setupFunc:function(e){nn=e.wasm.cwrap(d,null,["number","array","number","number","array","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:t,attrs:r}=e,{a:a,b:u}=n;if("float32"!==a.dtype||"float32"!==u.dtype)throw new Error("BatchMatMul for non non-float32 tensors not yet supported.");const{transposeA:s,transposeB:o}=r,i=t.dataIdMap.get(a.dataId).id,l=t.dataIdMap.get(u.dataId).id,d=s?a.shape[2]:a.shape[1],c=o?u.shape[1]:u.shape[2],p=a.shape[0],f=t.makeOutput([p,d,c],a.dtype),m=t.dataIdMap.get(f.dataId).id,h=new Uint8Array(new Int32Array(a.shape).buffer),_=new Uint8Array(new Int32Array(u.shape).buffer);return nn(i,h,a.shape.length,l,_,u.shape.length,s,o,m),f}};function rn(e){const{inputs:{x:n},attrs:{dtype:t},backend:r}=e,a=r.makeOutput(n.shape,t),u=r.typedArrayFromHeap(n);return r.typedArrayFromHeap(a).set(u),a}const an={kernelName:c,backendName:"wasm",kernelFunc:rn};let un;const sn={kernelName:p,backendName:"wasm",setupFunc:function(e){un=e.wasm.cwrap(p,null,["number","number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:t,attrs:r}=e,{x:a}=n,{clipValueMin:u,clipValueMax:s}=r,o=t.dataIdMap.get(a.dataId).id,i=t.makeOutput(a.shape,"float32"),l=t.dataIdMap.get(i.dataId).id;return un(o,u,s,l),i}};const on={kernelName:f,backendName:"wasm",kernelFunc:function(e){const{inputs:t,backend:a}=e,u=n.parseAxisParam(e.attrs.axis,t[0].shape)[0],s=r.computeOutShape(t.map(e=>e.shape),u),o=a.makeOutput(s,t[0].dtype),i=n.sizeFromShape(t[0].shape.slice(0,u));let l=0;const d=t.map(e=>{const t=n.sizeFromShape(e.shape.slice(u));return l+=t,t}),c=t.map(e=>a.typedArrayFromHeap(e)),p=a.typedArrayFromHeap(o);for(let e=0;e<i;e++){let n=e*l;for(let t=0;t<c.length;t++){const r=d[t],a=e*r,u=c[t].subarray(a,a+r);p.set(u,n),n+=r}}return o}};let ln;const dn={kernelName:m,backendName:"wasm",setupFunc:function(e){ln=e.wasm.cwrap(m,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:t,backend:a}=e,{x:u,filter:s}=n,o=a.dataIdMap.get(u.dataId).id,i=a.dataIdMap.get(s.dataId).id,{strides:l,dilations:d,pad:c,dimRoundingMode:p,dataFormat:f}=t,m=r.convertConv2DDataFormat(f),h=r.computeConv2DInfo(u.shape,s.shape,l,d,c,p,!1,m),_=h.filterHeight,b=h.filterWidth,y=h.padInfo.top,g=h.padInfo.right,w=h.padInfo.bottom,v=h.padInfo.left,I=h.dilationHeight,k=h.dilationWidth,E=h.strideHeight,A=h.strideWidth,M=h.inChannels,S=h.outChannels,x="SAME"===h.padInfo.type?1:0;if("channelsLast"!==h.dataFormat)throw new Error("wasm backend Conv2D does not support dataFormat:'"+`${h.dataFormat}'. Please use 'channelsLast'.`);const N=a.makeOutput(h.outShape,"float32"),T=a.dataIdMap.get(N.dataId).id;return ln(o,u.shape[0],u.shape[1],u.shape[2],i,_,b,y,g,w,v,x,I,k,E,A,M,S,T),N}};let cn;const pn={kernelName:h,backendName:"wasm",setupFunc:function(e){cn=e.wasm.cwrap(h,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:a,attrs:u}=e,{dy:s,filter:o}=a,{strides:i,pad:l,dataFormat:d,dimRoundingMode:c,inputShape:p}=u,f=r.convertConv2DDataFormat(d),m=r.computeConv2DInfo(p,o.shape,i,1,l,c,!1,f),{batchSize:h,filterHeight:_,filterWidth:b,inChannels:y,inHeight:g,inWidth:w,outChannels:v,outHeight:I,outWidth:k,strideHeight:E,strideWidth:A}=m,M=_-1-m.padInfo.top,S=b-1-m.padInfo.left,x="channelsLast"===m.dataFormat,N=n.computeStrides(m.inShape),T=n.computeStrides(s.shape),[F,O,C]=n.computeStrides(o.shape),R=N[0],P=x?N[1]:N[2],D=x?N[2]:1,W=x?1:N[1],B=T[0],L=x?T[1]:T[2],H=x?T[2]:1,U=x?1:T[1],z=t.makeOutput(m.inShape,"float32"),j=t.dataIdMap.get(z.dataId).id,G=t.dataIdMap.get(s.dataId).id,V=t.dataIdMap.get(o.dataId).id;return cn(G,V,h,_,b,g,w,y,I,k,v,E,A,M,S,F,O,C,R,P,D,W,B,L,H,U,j),z}},fn=Le(_);var mn;let hn;let _n;!function(e){e[e.bilinear=0]="bilinear",e[e.nearest=1]="nearest"}(mn||(mn={}));let bn;let yn;let gn;let wn;let vn;let In;let kn;let En;let An;function Mn(e,n){const t=new Int32Array(e.wasm.HEAPU8.buffer,n,4),r=t[0],a=t[1],u=t[2],s=t[3];return e.wasm._free(n),{pSelectedIndices:r,selectedSize:a,pSelectedScores:u,pValidOutputs:s}}let Sn;let xn;let Nn;let Tn;let Fn;let On;function Cn(e){const{inputs:n,attrs:t}=e,{x:r}=n,{shape:a}=t;return{dataId:r.dataId,shape:a,dtype:r.dtype}}let Rn;let Pn;let Dn;let Wn;let Bn;let Ln;function Hn(e){const{inputs:{x:t},attrs:{begin:r,size:a},backend:u}=e,[s,o]=pe.parseSliceParams(t,r,a),i=pe.isSliceContinous(t.shape,s,o),l=u.typedArrayFromHeap(t),d=u.makeOutput(o,t.dtype),c=u.typedArrayFromHeap(d),p=n.computeStrides(t.shape);if(i){const e=pe.computeFlatOffset(s,p);return c.set(l.subarray(e,e+n.sizeFromShape(o))),d}const f=t.shape.length;return 2===f?function(e,n,t,r,a){let u=0;const s=r[0],o=r[1],i=s+a[0];for(let r=s;r<i;r++){const s=r*n+o;t.set(e.subarray(s,s+a[1]),u),u+=a[1]}}(l,p[0],c,s,o):3===f?function(e,n,t,r,a,u){let s=0;const o=a[0],i=a[1],l=a[2],d=o+u[0],c=i+u[1];for(let a=o;a<d;a++)for(let o=i;o<c;o++){const i=a*n+o*t+l;r.set(e.subarray(i,i+u[2]),s),s+=u[2]}}(l,p[0],p[1],c,s,o):4===f?function(e,n,t,r,a,u,s){let o=0;const i=u[0],l=u[1],d=u[2],c=i+s[0],p=l+s[1],f=d+s[2],m=u[3];for(let u=i;u<c;u++)for(let i=l;i<p;i++)for(let l=d;l<f;l++){const d=u*n+i*t+l*r+m;a.set(e.subarray(d,d+s[3]),o),o+=s[3]}}(l,p[0],p[1],p[2],c,s,o):function(e,n,t,r,a){const u=fe(a,n.dtype,t),s=fe(n.shape,n.dtype,e);for(let e=0;e<u.size;++e){const n=u.indexToLoc(e).map((e,n)=>e+r[n]);t[e]=s.get(...n)}}(l,t,c,s,o),d}let Un;let zn;let jn;const Gn=[He,ze,Ge,Ze,en,tn,an,sn,on,dn,pn,fn,{kernelName:b,backendName:"wasm",setupFunc:function(e){hn=e.wasm.cwrap(b,null,["number","number","number","number","array","number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:t,attrs:r}=e,{method:a,extrapolationValue:u,cropSize:s}=r,{image:o,boxes:i,boxInd:l}=t,d=i.shape[0],[c,p]=s,f=[d,c,p,o.shape[3]];let m,h=n.dataIdMap.get(o.dataId);"float32"!==o.dtype&&(m=rn({backend:n,inputs:{x:o},attrs:{dtype:"float32"}}),h=n.dataIdMap.get(m.dataId));const _=h.id,b=n.dataIdMap.get(i.dataId).id,y=n.dataIdMap.get(l.dataId).id,g=n.makeOutput(f,"float32"),w=n.dataIdMap.get(g.dataId).id,v=new Uint8Array(new Int32Array(o.shape).buffer);return hn(_,b,y,d,v,c,p,mn[a],u,w),null!=m&&n.disposeData(m.dataId),g}},{kernelName:y,backendName:"wasm",setupFunc:function(e){_n=e.wasm.cwrap(y,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:t,backend:a}=e,{x:u,filter:s}=n,o=a.dataIdMap.get(u.dataId).id,i=a.dataIdMap.get(s.dataId).id,{strides:l,dilations:d,pad:c,dimRoundingMode:p}=t,f=null==d?[1,1]:d,m=r.computeConv2DInfo(u.shape,s.shape,l,f,c,p,!0),h=m.filterHeight,_=m.filterWidth,b=m.padInfo.top,y=m.padInfo.right,g=m.padInfo.bottom,w=m.padInfo.left,v=m.dilationHeight,I=m.dilationWidth,k=m.strideHeight,E=m.strideWidth,A=m.inChannels,M=m.outChannels,S="SAME"===m.padInfo.type?1:0;if("channelsLast"!==m.dataFormat)throw new Error("wasm backend DepthwiseConv2dNative does not support dataFormat:'"+`${m.dataFormat}'. Please use 'channelsLast'.`);const x=a.makeOutput(m.outShape,"float32"),N=a.dataIdMap.get(x.dataId).id;return _n(o,u.shape[0],u.shape[1],u.shape[2],i,h,_,b,y,g,w,S,v,I,k,E,A,M,N),x}},Ue(g,!0),Ue(w,!1,"bool"),Le(v),{kernelName:I,backendName:"wasm",kernelFunc:function(e){const{attrs:{shape:n,value:t,dtype:r},backend:a}=e,u=a.makeOutput(n,r);return a.typedArrayFromHeap(u).fill(t),u}},{kernelName:k,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:t}=e,{image:r}=n,a=t.makeOutput(r.shape,r.dtype),u=t.dataIdMap.get(r.dataId).id,s=t.dataIdMap.get(a.dataId).id,[o,i,l,d]=r.shape;return bn(u,o,i,l,d,s),a},setupFunc:function(e){bn=e.wasm.cwrap(k,null,["number","number","number","number","number","number"])}},Ue(E,!1),Be,{kernelName:A,backendName:"wasm",setupFunc:function(e){yn=e.wasm.cwrap(A,null,["number","number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:r,attrs:a}=e,{varianceEpsilon:u}=a,{x:s,mean:o,variance:i,offset:l,scale:d}=r,c=t.dataIdMap.get(s.dataId).id,p=t.dataIdMap.get(o.dataId).id,f=t.dataIdMap.get(i.dataId).id,m=null!=l?t.dataIdMap.get(l.dataId).id:0,h=null!=d?t.dataIdMap.get(d.dataId).id:0,_=t.makeOutput(s.shape,s.dtype);if(0===n.sizeFromShape(s.shape))return _;const b=t.dataIdMap.get(_.dataId).id;return yn(c,p,f,m,h,u,b),_}},{kernelName:M,backendName:"wasm",setupFunc:function(e){gn=e.wasm.cwrap(M,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:t,backend:a}=e,{x:u,filter:s,bias:o,preluActivationWeights:i}=n,{strides:l,pad:d,dilations:c,dataFormat:p,dimRoundingMode:f,activation:m}=t,h=r.computeConv2DInfo(u.shape,s.shape,l,c,d,f),_=De[m];if(null==_)throw new Error(`${m} activation not yet supported for FusedConv2D `+"in the wasm backend.");const b=a.dataIdMap.get(u.dataId).id,y=a.dataIdMap.get(s.dataId).id,g=h.outChannels;let w=0;if(null!=o){const e=a.dataIdMap.get(o.dataId);if(1!==e.shape.length)throw new Error("FusedConv2D only supports rank-1 bias but got "+`rank ${e.shape.length}.`);if(e.shape[0]!==g)throw new Error(`FusedConv2D bias shape (${e.shape}) does not `+`match the number of output channels (${g})`);w=e.id}const v=h.filterHeight,I=h.filterWidth,k=h.padInfo.top,E=h.padInfo.right,A=h.padInfo.bottom,M=h.padInfo.left,S=h.dilationHeight,x=h.dilationWidth,N=h.strideHeight,T=h.strideWidth,F=h.inChannels,O="SAME"===h.padInfo.type?1:0,C=h.batchSize,R=h.inHeight,P=h.inWidth;if("NHWC"!==p)throw new Error("wasm backend FusedConv2D does not support dataFormat:'"+`${p}'. Please use 'NHWC'.`);const D=a.makeOutput(h.outShape,"float32"),W=a.dataIdMap.get(D.dataId).id,B=null==i?0:a.dataIdMap.get(i.dataId).id;return gn(b,C,R,P,y,v,I,w,k,E,A,M,O,S,x,N,T,F,g,_,B,W),D}},{kernelName:S,backendName:"wasm",setupFunc:function(e){wn=e.wasm.cwrap(S,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:t,backend:a}=e,{x:u,filter:s,bias:o,preluActivationWeights:i}=n,{strides:l,pad:d,dilations:c,dataFormat:p,dimRoundingMode:f,activation:m}=t,h=r.computeConv2DInfo(u.shape,s.shape,l,c,d,f,!0),_=De[m];if(null==_)throw new Error(`${m} activation not yet supported for FusedDepthwiseConv2D `+"in the wasm backend.");const b=a.dataIdMap.get(u.dataId).id,y=a.dataIdMap.get(s.dataId).id,g=h.outChannels;let w=0;if(null!=o){const e=a.dataIdMap.get(o.dataId);if(1!==e.shape.length)throw new Error("FusedDepthwiseConv2D only supports rank-1 bias but got "+`rank ${e.shape.length}.`);if(e.shape[0]!==g)throw new Error(`FusedDepthwiseConv2D bias shape (${e.shape}) does not `+`match the number of output channels (${g})`);w=e.id}const v=h.filterHeight,I=h.filterWidth,k=h.padInfo.top,E=h.padInfo.right,A=h.padInfo.bottom,M=h.padInfo.left,S=h.dilationHeight,x=h.dilationWidth,N=h.strideHeight,T=h.strideWidth,F=h.inChannels,O="SAME"===h.padInfo.type?1:0,C=h.batchSize,R=h.inHeight,P=h.inWidth;if("NHWC"!==p)throw new Error("wasm backend FusedDepthwiseConv2D does not support dataFormat:'"+`${p}'. Please use 'NHWC'.`);const D=a.makeOutput(h.outShape,"float32"),W=a.dataIdMap.get(D.dataId).id,B=null==i?0:a.dataIdMap.get(i.dataId).id;return wn(b,C,R,P,y,v,I,w,k,E,A,M,O,S,x,N,T,F,g,_,B,W),D}},{kernelName:x,backendName:"wasm",setupFunc:function(e){vn=e.wasm.cwrap(x,null,["number","number","number","number","number","number","array","number"])},kernelFunc:function(e){const{backend:n,inputs:t}=e,{params:r,indices:a}=t,[u,s,o,i]=N.prepareAndValidate(r,a),l=n.makeOutput(u,r.dtype);if(0===s)return l;const d=a.shape,c=d[d.length-1],p=n.dataIdMap.get(r.dataId).id,f=n.dataIdMap.get(a.dataId).id,m=new Uint8Array(new Int32Array(i).buffer),h=n.dataIdMap.get(l.dataId).id;return vn(p,Pe[r.dtype],f,s,c,o,m,h),l}},{kernelName:T,backendName:"wasm",setupFunc:function(e){In=e.wasm.cwrap("Gather",null,["number","number","array","number","number","number","array","number"])},kernelFunc:function(e){const{backend:t,inputs:a,attrs:u}=e,{x:s,indices:o}=a,{axis:i}=u,l=s.shape.slice();l[i]=n.sizeFromShape(o.shape);const d=s.shape.length-1,c=t.makeOutput(l,s.dtype);if(0===n.sizeFromShape(s.shape))return c;const p=t.dataIdMap.get(s.dataId).id,f=t.dataIdMap.get(o.dataId).id,m=t.dataIdMap.get(c.dataId).id,h=new Uint8Array(new Int32Array(n.computeStrides(s.shape)).buffer),_=new Uint8Array(new Int32Array(n.computeStrides(l)).buffer);In(p,Pe[s.dtype],h,d,f,i,_,m);const b=n.parseAxisParam(i,s.shape)[0],y=r.segment_util.collectGatherOpShapeInfo(s,o,b);return c.shape=y.outputShape,c}},Ue(F,!1,"bool"),Ue(O,!1,"bool"),qe,Ue(C,!1,"bool"),Ue(R,!1,"bool"),Le(P),Ue(D,!1,"bool"),{kernelName:W,backendName:"wasm",setupFunc:function(e){kn=e.wasm.cwrap(W,null,["number, number, number"])},kernelFunc:function(e){const{backend:t,inputs:a,attrs:u}=e,{reductionIndices:s,keepDims:o}=u,{x:i}=a;let l=t.dataIdMap.get(i.dataId).id,d=i;const{transposed:c,axes:p,originalAxes:f,inputWasTransposed:m}=Ke(i,s,t);if(m){d=c,l=t.dataIdMap.get(c.dataId).id}const h=d.shape.length;r.assertAxesAreInnerMostDims("max",p,h);const[_,b]=r.computeOutAndReduceShapes(d.shape,p),y=n.sizeFromShape(b),g=t.makeOutput(_,i.dtype);if(0!==n.sizeFromShape(d.shape)){const e=t.dataIdMap.get(g.dataId).id;kn(l,y,e)}if(m&&t.disposeData(c.dataId),o){const e=r.expandShapeToKeepDim(g.shape,f);g.shape=e}return g}},Ue(B,!1),{kernelName:L,backendName:"wasm",setupFunc:function(e){En=e.wasm.cwrap(L,null,["number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,attrs:t,backend:a}=e,u=n.x,s=a.dataIdMap.get(u.dataId).id,{filterSize:o,strides:i,pad:l,dimRoundingMode:d}=t,c=r.computePool2DInfo(u.shape,o,i,1,l,d),p=c.filterHeight,f=c.filterWidth,m=c.padInfo.top,h=c.padInfo.right,_=c.padInfo.bottom,b=c.padInfo.left,y=c.dilationHeight,g=c.dilationWidth,w=c.strideHeight,v=c.strideWidth,I=c.inChannels,k=c.outChannels;if("channelsLast"!==c.dataFormat)throw new Error("wasm backend does not support dataFormat:'"+`${c.dataFormat}'. Please use 'channelsLast'.`);const E=a.makeOutput(c.outShape,"float32"),A=a.dataIdMap.get(E.dataId).id;return En(s,u.shape[0],u.shape[1],u.shape[2],p,f,m,h,_,b,y,g,w,v,I,k,A),E}},{kernelName:H,backendName:"wasm",setupFunc:function(e){An=e.wasm.cwrap(H,null,["number, number, number"])},kernelFunc:function(e){const{backend:t,inputs:a,attrs:u}=e,{axis:s,keepDims:o}=u,{x:i}=a,l=t.dataIdMap.get(i.dataId).id;let d=l,c=i;const{transposed:p,axes:f,originalAxes:m,inputWasTransposed:h}=Ke(i,s,t);if(h){const e=t.dataIdMap.get(p.dataId).id;e!==l&&(c=p,d=e)}const _=c.shape.length;r.assertAxesAreInnerMostDims("min",f,_);const[b,y]=r.computeOutAndReduceShapes(c.shape,f),g=n.sizeFromShape(y),w=t.makeOutput(b,c.dtype);if(0!==n.sizeFromShape(c.shape)){const e=t.dataIdMap.get(w.dataId).id;An(d,g,e)}if(h&&t.disposeData(p.dataId),o){const e=r.expandShapeToKeepDim(w.shape,m);w.shape=e}return w}},Ue(U,!1),Ue(z,!0),Le(j),{kernelName:G,backendName:"wasm",setupFunc:function(e){Sn=e.wasm.cwrap(G,"number",["number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:t,attrs:r}=e,{iouThreshold:a,maxOutputSize:u,scoreThreshold:s}=r,{boxes:o,scores:i}=t,l=n.dataIdMap.get(o.dataId).id,d=n.dataIdMap.get(i.dataId).id,c=Sn(l,d,u,a,s),{pSelectedIndices:p,selectedSize:f,pSelectedScores:m,pValidOutputs:h}=Mn(n,c);return n.wasm._free(m),n.wasm._free(h),n.makeOutput([f],"int32",p)}},{kernelName:V,backendName:"wasm",setupFunc:function(e){xn=e.wasm.cwrap(V,"number",["number","number","number","number","number","bool"])},kernelFunc:function(e){const{backend:n,inputs:t,attrs:r}=e,{iouThreshold:a,maxOutputSize:u,scoreThreshold:s,padToMaxOutputSize:o}=r,{boxes:i,scores:l}=t,d=n.dataIdMap.get(i.dataId).id,c=n.dataIdMap.get(l.dataId).id,p=xn(d,c,u,a,s,o),{pSelectedIndices:f,selectedSize:m,pSelectedScores:h,pValidOutputs:_}=Mn(n,p);return n.wasm._free(h),[n.makeOutput([m],"int32",f),n.makeOutput([],"int32",_)]}},{kernelName:q,backendName:"wasm",setupFunc:function(e){Nn=e.wasm.cwrap(q,"number",["number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:n,inputs:t,attrs:r}=e,{iouThreshold:a,maxOutputSize:u,scoreThreshold:s,softNmsSigma:o}=r,{boxes:i,scores:l}=t,d=n.dataIdMap.get(i.dataId).id,c=n.dataIdMap.get(l.dataId).id,p=Nn(d,c,u,a,s,o),{pSelectedIndices:f,selectedSize:m,pSelectedScores:h,pValidOutputs:_}=Mn(n,p);return n.wasm._free(_),[n.makeOutput([m],"int32",f),n.makeOutput([m],"float32",h)]}},Ue(X,!1,"bool"),{kernelName:$,backendName:"wasm",setupFunc:function(e){Tn=e.wasm.cwrap($,null,["number","number","number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:t,attrs:r}=e,{indices:a}=n,{depth:u,onValue:s,offValue:o}=r,i=t.makeOutput([...a.shape,u],"int32"),l=t.dataIdMap.get(i.dataId).id,d=t.dataIdMap.get(a.dataId).id;return Tn(d,u,s,o,l),i}},{kernelName:Y,backendName:"wasm",kernelFunc:function(e){const{inputs:{x:n},backend:t}=e,r=t.makeOutput(n.shape,n.dtype);return t.typedArrayFromHeap(r).fill(1),r}},{kernelName:K,backendName:"wasm",kernelFunc:function(e){const{inputs:{x:n},backend:t,attrs:{paddings:r,constantValue:a}}=e,u=r.map((e,t)=>e[0]+n.shape[t]+e[1]),s=t.dataIdMap.get(n.dataId).id,o=t.makeOutput(u,n.dtype),i=t.dataIdMap.get(o.dataId).id,l=new Uint8Array(new Int32Array(n.shape).buffer),d=r.map(e=>e[0]),c=r.map(e=>e[1]),p=new Uint8Array(new Int32Array(d).buffer),f=new Uint8Array(new Int32Array(c).buffer);return Fn(s,l,n.shape.length,Pe[n.dtype],p,f,a,i),o},setupFunc:function(e){Fn=e.wasm.cwrap(K,null,["number","array","number","number","array","array","number","number"])}},Ue(Q,!1),{kernelName:Z,backendName:"wasm",setupFunc:function(e){On=e.wasm.cwrap(Z,null,["number","number","number"])},kernelFunc:function(e){const{inputs:n,backend:t}=e,{x:r,alpha:a}=n,u=t.dataIdMap.get(r.dataId).id,s=t.dataIdMap.get(a.dataId).id,o=t.makeOutput(r.shape,"float32"),i=t.dataIdMap.get(o.dataId).id;return On(u,s,i),o}},Le(J),Le(ee),{kernelName:ne,backendName:"wasm",kernelFunc:Cn},{kernelName:te,backendName:"wasm",setupFunc:function(e){Rn=e.wasm.cwrap(te,null,["number","number","number","number","number","number","number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:r,attrs:a}=e,{images:u}=r,{alignCorners:s,size:o}=a,[i,l]=o,[d,c,p,f]=u.shape,m=[d,i,l,f];let h,_=t.dataIdMap.get(u.dataId);"float32"!==_.dtype&&(h=rn({backend:t,inputs:{x:u},attrs:{dtype:"float32"}}),_=t.dataIdMap.get(h.dataId));const b=_.id,y=t.makeOutput(m,"float32");if(0===n.sizeFromShape(u.shape))return y;const g=t.dataIdMap.get(y.dataId).id;return Rn(b,d,c,p,f,i,l,s?1:0,g),null!=h&&t.disposeData(h.dataId),y}},{kernelName:re,backendName:"wasm",kernelFunc:function(e){const{inputs:t,backend:r,attrs:a}=e,{x:u}=t,{dims:s}=a,o=n.parseAxisParam(s,u.shape);if(0===u.shape.length)return Ve({inputs:{x:u},backend:r});const i=r.makeOutput(u.shape,u.dtype),l=r.dataIdMap.get(u.dataId).id,d=r.dataIdMap.get(i.dataId).id,c=new Uint8Array(new Int32Array(o).buffer),p=new Uint8Array(new Int32Array(u.shape).buffer);return Pn(l,c,o.length,p,u.shape.length,d),Cn({inputs:{x:i},attrs:{shape:u.shape},backend:r})},setupFunc:function(e){Pn=e.wasm.cwrap(re,null,["number","array","number","array","number","number"])}},{kernelName:ae,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:t,attrs:a}=e,{image:u}=n,{radians:s,fillValue:o,center:i}=a,l=t.makeOutput(u.shape,u.dtype),d=t.dataIdMap.get(u.dataId).id,c=t.dataIdMap.get(l.dataId).id,[p,f,m,h]=u.shape,[_,b]=r.getImageCenter(i,f,m),y="number"==typeof o?[o,o,o,0===o?0:255]:[...o,255],g=new Uint8Array(new Int32Array(y).buffer);return Dn(d,p,f,m,h,s,_,b,g,y.length,c),l},setupFunc:function(e){Dn=e.wasm.cwrap(ae,null,["number","number","number","number","number","number","number","number","array","number","number"])}},Le(ue),{kernelName:se,backendName:"wasm",setupFunc:function(e){Wn=e.wasm.cwrap(se,null,["number","number","number","number","number","number","array","number","number"])},kernelFunc:function(e){const{backend:t,inputs:r,attrs:a}=e,{indices:u,updates:s}=r,{shape:o}=a,i=t.makeOutput(o,s.dtype);if(0===n.sizeFromShape(o))return i;const{sliceRank:l,numUpdates:d,sliceSize:c,strides:p,outputSize:f}=oe.calculateShapes(s,u,o),m=t.dataIdMap.get(u.dataId).id,h=t.dataIdMap.get(s.dataId).id,_=new Uint8Array(new Int32Array(p).buffer),b=t.dataIdMap.get(i.dataId).id;return Wn(m,h,Pe[s.dtype],l,d,c,_,f,b),i}},{kernelName:ie,backendName:"wasm",kernelFunc:function(e){const{inputs:t,backend:r}=e,{condition:a,t:u,e:s}=t,o=r.dataIdMap.get(a.dataId).id,i=r.dataIdMap.get(u.dataId).id,l=r.dataIdMap.get(s.dataId).id,d=r.makeOutput(u.shape,u.dtype),c=r.dataIdMap.get(d.dataId).id,p=a.shape.length,f=u.shape.length,m=0===p||p>1||1===f?1:n.sizeFromShape(u.shape.slice(1));return Bn(o,i,l,m,c),d},setupFunc:function(e){Bn=e.wasm.cwrap(ie,null,["number","number","number","number","number"])}},{kernelName:"Sigmoid",backendName:"wasm",setupFunc:function(e){Ln=e.wasm.cwrap(le,null,["number","number"])},kernelFunc:function(e){const{backend:t,inputs:{x:r}}=e,a=t.dataIdMap.get(r.dataId).id,u=t.makeOutput(r.shape,r.dtype),s=t.dataIdMap.get(u.dataId).id;return 0===n.sizeFromShape(u.shape)?u:(Ln(a,s),u)}},Le(de),{kernelName:ce,backendName:"wasm",kernelFunc:Hn},{kernelName:me,backendName:"wasm",setupFunc:function(e){Un=e.wasm.cwrap(me,null,["number","number","number","number"])},kernelFunc:function(e){const{backend:t,inputs:{logits:r},attrs:{dim:a}}=e,u=t.dataIdMap.get(r.dataId).id,s=t.makeOutput(r.shape,r.dtype),o=t.dataIdMap.get(s.dataId).id,i=r.shape[a],l=n.sizeFromShape(r.shape)/i;return 0===n.sizeFromShape(s.shape)?s:(Un(u,o,i,l),s)}},{kernelName:he,backendName:"wasm",kernelFunc:function(e){const{inputs:t,attrs:a,backend:u}=e,{x:s}=t,{numOrSizeSplits:o,axis:i}=a,l=n.parseAxisParam(i,s.shape)[0],d=r.prepareSplitSize(s,o,i),c=new Array(s.shape.length).fill(0),p=s.shape.slice();return d.map(e=>{const n=[...p];n[l]=e;const t=Hn({inputs:{x:s},attrs:{begin:c,size:n},backend:u});return c[l]+=e,t})}},Le(_e),Le(be),Ue(ye,!0),{kernelName:ge,backendName:"wasm",setupFunc:function(e){zn=e.wasm.cwrap(ge,null,["number, number, number"])},kernelFunc:function(e){const{backend:t,inputs:a,attrs:u}=e,{axis:s,keepDims:o}=u,{x:i}=a,l=t.dataIdMap.get(i.dataId).id;let d=l,c=i;const{transposed:p,axes:f,originalAxes:m,inputWasTransposed:h}=Ke(i,s,t);let _=f;if(h){const e=t.dataIdMap.get(p.dataId).id;e!==l&&(c=p,d=e,_=r.getInnerMostAxes(_.length,c.shape.length))}r.assertAxesAreInnerMostDims("sum",_,c.shape.length);const[b,y]=r.computeOutAndReduceShapes(c.shape,_),g=n.sizeFromShape(y),w=t.makeOutput(b,c.dtype);if(0!==n.sizeFromShape(c.shape)){const e=t.dataIdMap.get(w.dataId).id;zn(d,g,e)}if(h&&t.disposeData(p.dataId),o){const e=r.expandShapeToKeepDim(w.shape,m);w.shape=e}return w}},Le(we),{kernelName:ve,backendName:"wasm",setupFunc:function(e){jn=e.wasm.cwrap(ve,null,["number","array","number","array","number","number"])},kernelFunc:function(e){const{inputs:n,backend:t,attrs:r}=e,{x:a}=n,u=t.dataIdMap.get(a.dataId).id,{reps:s}=r,o=new Array(a.shape.length);for(let e=0;e<o.length;e++)o[e]=a.shape[e]*s[e];const i=new Uint8Array(new Int32Array(a.shape).buffer),l=new Uint8Array(new Int32Array(o).buffer),d=t.makeOutput(o,a.dtype),c=t.dataIdMap.get(d.dataId).id;return jn(u,i,a.shape.length,l,o.length,Pe[d.dtype],c),d}},Ye,{kernelName:Ie,backendName:"wasm",kernelFunc:function(e){const{inputs:n,backend:t,attrs:r}=e,{value:a}=n,{axis:u}=r,s=a.shape[u],o=a.shape.length,i=new Array(o-1);let l=0;for(let e=0;e<o;e++)e!==u&&(i[l++]=a.shape[e]);const d=new Array(s),c=new Array(o).fill(0),p=a.shape.slice();p[u]=1;for(let e=0;e<d.length;e++)c[u]=e,d[e]=Hn({inputs:{x:a},attrs:{begin:c,size:p},backend:t});return d.map(({dataId:e,dtype:n})=>({dataId:e,dtype:n,shape:i}))}},{kernelName:ke,backendName:"wasm",kernelFunc:function(e){const{inputs:{x:n},backend:t}=e,r=t.makeOutput(n.shape,n.dtype);return t.typedArrayFromHeap(r).fill(0),r}}];for(const e of Gn)Ee(e);const Vn=Ae();function qn(e,n){return e(n={exports:{}},n.exports),n.exports}Vn.registerFlag("WASM_HAS_SIMD_SUPPORT",async()=>WebAssembly.validate(new Uint8Array([0,97,115,109,1,0,0,0,1,4,1,96,0,0,3,2,1,0,10,9,1,7,0,65,0,253,15,26,11]))),Vn.registerFlag("WASM_HAS_MULTITHREAD_SUPPORT",async()=>{try{return(new MessageChannel).port1.postMessage(new SharedArrayBuffer(1)),WebAssembly.validate(new Uint8Array([0,97,115,109,1,0,0,0,1,4,1,96,0,0,3,2,1,0,5,4,1,3,1,1,10,11,1,9,0,65,0,254,16,2,0,26,11]))}catch(e){return!1}});var Xn=qn((function(e,n){var t,r=(t="undefined"!=typeof document&&document.currentScript?document.currentScript.src:void 0,"undefined"!=typeof __filename&&(t=t||__filename),function(e){function n(){return E.buffer!=U&&Y(E.buffer),z}function r(){return E.buffer!=U&&Y(E.buffer),j}function a(){return E.buffer!=U&&Y(E.buffer),G}function u(){return E.buffer!=U&&Y(E.buffer),V}function s(){return E.buffer!=U&&Y(E.buffer),q}var o,i=void 0!==(e=e||{})?e:{},l={};for(o in i)i.hasOwnProperty(o)&&(l[o]=i[o]);var d=!1,c=!1,p=!1,f=!1;d="object"==typeof window,c="function"==typeof importScripts,p="object"==typeof process&&"object"==typeof process.versions&&"string"==typeof process.versions.node,f=!d&&!p&&!c;var m=i.ENVIRONMENT_IS_PTHREAD||!1;m&&(U=i.buffer,K=i.DYNAMIC_BASE,Q=i.DYNAMICTOP_PTR);var h,_,b,y,g="";function w(e){return i.locateFile?i.locateFile(e,g):g+e}if(p){var v;g=c?Fe.dirname(g)+"/":__dirname+"/",h=function(e,n){return b||(b=Oe),y||(y=Fe),e=y.normalize(e),b.readFileSync(e,n?null:"utf8")},_=function(e){var n=h(e,!0);return n.buffer||(n=new Uint8Array(n)),F(n.buffer),n},process.argv.length>1&&process.argv[1].replace(/\\/g,"/"),process.argv.slice(2),process.on("uncaughtException",(function(e){if(!(e instanceof pt))throw e})),process.on("unhandledRejection",be),i.inspect=function(){return"[Emscripten Module object]"};try{v=Ce}catch(e){throw console.error('The "worker_threads" module is not supported in this node.js build - perhaps a newer version is needed?'),e}Worker=v.Worker}else f?("undefined"!=typeof read&&(h=function(e){return read(e)}),_=function(e){var n;return"function"==typeof readbuffer?new Uint8Array(readbuffer(e)):(F("object"==typeof(n=read(e,"binary"))),n)},"undefined"!=typeof scriptArgs&&scriptArgs,"undefined"!=typeof print&&("undefined"==typeof console&&(console={}),console.log=print,console.warn=console.error="undefined"!=typeof printErr?printErr:print)):(d||c)&&(c?g=self.location.href:document.currentScript&&(g=document.currentScript.src),t&&(g=t),g=0!==g.indexOf("blob:")?g.substr(0,g.lastIndexOf("/")+1):"",p?(h=function(e,n){return b||(b=Oe),y||(y=Fe),e=y.normalize(e),b.readFileSync(e,n?null:"utf8")},_=function(e){var n=h(e,!0);return n.buffer||(n=new Uint8Array(n)),F(n.buffer),n}):(h=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.send(null),n.responseText},c&&(_=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.responseType="arraybuffer",n.send(null),new Uint8Array(n.response)})));p&&"undefined"==typeof performance&&(performance=Re.performance);var I,k,E,A=i.print||console.log.bind(console),M=i.printErr||console.warn.bind(console);for(o in l)l.hasOwnProperty(o)&&(i[o]=l[o]);l=null,i.arguments&&i.arguments,i.thisProgram&&i.thisProgram,i.quit&&i.quit,i.wasmBinary&&(I=i.wasmBinary),i.noExitRuntime&&(k=i.noExitRuntime),"object"!=typeof WebAssembly&&M("no native wasm support detected");var S,x=new WebAssembly.Table({initial:165,maximum:165,element:"anyfunc"}),N=0,T=!1;function F(e,n){e||be("Assertion failed: "+n)}function O(e){var n=i["_"+e];return F(n,"Cannot call unknown function "+e+", make sure it is exported"),n}function C(e,n,t,r,a){var u={string:function(e){var n=0;if(null!=e&&0!==e){var t=1+(e.length<<2);B(e,n=lt(t),t)}return n},array:function(e){var n=lt(e.length);return H(e,n),n}},s=O(e),o=[],i=0;if(r)for(var l=0;l<r.length;l++){var d=u[t[l]];d?(0===i&&(i=it()),o[l]=d(r[l])):o[l]=r[l]}var c=s.apply(null,o);return c=function(e){return"string"===n?D(e):"boolean"===n?Boolean(e):e}(c),0!==i&&dt(i),c}function R(e,n,t,r){var a=(t=t||[]).every((function(e){return"number"===e}));return"string"!==n&&a&&!r?O(e):function(){return C(e,n,t,arguments)}}function P(e,n,t){for(var r=n+t,a="";!(n>=r);){var u=e[n++];if(!u)return a;if(128&u){var s=63&e[n++];if(192!=(224&u)){var o=63&e[n++];if((u=224==(240&u)?(15&u)<<12|s<<6|o:(7&u)<<18|s<<12|o<<6|63&e[n++])<65536)a+=String.fromCharCode(u);else{var i=u-65536;a+=String.fromCharCode(55296|i>>10,56320|1023&i)}}else a+=String.fromCharCode((31&u)<<6|s)}else a+=String.fromCharCode(u)}return a}function D(e,n){return e?P(r(),e,n):""}function W(e,n,t,r){if(!(r>0))return 0;for(var a=t,u=t+r-1,s=0;s<e.length;++s){var o=e.charCodeAt(s);if(o>=55296&&o<=57343&&(o=65536+((1023&o)<<10)|1023&e.charCodeAt(++s)),o<=127){if(t>=u)break;n[t++]=o}else if(o<=2047){if(t+1>=u)break;n[t++]=192|o>>6,n[t++]=128|63&o}else if(o<=65535){if(t+2>=u)break;n[t++]=224|o>>12,n[t++]=128|o>>6&63,n[t++]=128|63&o}else{if(t+3>=u)break;n[t++]=240|o>>18,n[t++]=128|o>>12&63,n[t++]=128|o>>6&63,n[t++]=128|63&o}}return n[t]=0,t-a}function B(e,n,t){return W(e,r(),n,t)}function L(e){for(var n=0,t=0;t<e.length;++t){var r=e.charCodeAt(t);r>=55296&&r<=57343&&(r=65536+((1023&r)<<10)|1023&e.charCodeAt(++t)),r<=127?++n:n+=r<=2047?2:r<=65535?3:4}return n}function H(e,t){n().set(e,t)}var U,z,j,G,V,q,X=65536;function $(e,n){return e%n>0&&(e+=n-e%n),e}function Y(e){U=e,i.HEAP8=z=new Int8Array(e),i.HEAP16=new Int16Array(e),i.HEAP32=G=new Int32Array(e),i.HEAPU8=j=new Uint8Array(e),i.HEAPU16=new Uint16Array(e),i.HEAPU32=V=new Uint32Array(e),i.HEAPF32=new Float32Array(e),i.HEAPF64=q=new Float64Array(e)}var K=5256256,Q=12448,Z=i.INITIAL_MEMORY||16777216;if(m)E=i.wasmMemory,U=i.buffer;else if(i.wasmMemory)E=i.wasmMemory;else if(!((E=new WebAssembly.Memory({initial:Z/X,maximum:2147483648/X,shared:!0})).buffer instanceof SharedArrayBuffer))throw M("requested a shared WebAssembly.Memory but the returned buffer is not a SharedArrayBuffer, indicating that while the browser has SharedArrayBuffer it does not have WebAssembly threads support - you may need to set a flag"),p&&console.log("(on node you may need: --experimental-wasm-threads --experimental-wasm-bulk-memory and also use a recent version)"),Error("bad memory");function J(e){for(;e.length>0;){var n=e.shift();if("function"!=typeof n){var t=n.func;"number"==typeof t?void 0===n.arg?i.dynCall_v(t):i.dynCall_vi(t,n.arg):t(void 0===n.arg?null:n.arg)}else n(i)}}E&&(U=E.buffer),Z=U.byteLength,Y(U),m||(a()[Q>>2]=K);var ee=[],ne=[],te=[],re=[];function ae(){if(!m){if(i.preRun)for("function"==typeof i.preRun&&(i.preRun=[i.preRun]);i.preRun.length;)ie(i.preRun.shift());J(ee)}}function ue(){J(ne)}function se(){m||J(te)}function oe(){if(!m){if(i.postRun)for("function"==typeof i.postRun&&(i.postRun=[i.postRun]);i.postRun.length;)le(i.postRun.shift());J(re)}}function ie(e){ee.unshift(e)}function le(e){re.unshift(e)}var de=Math.ceil,ce=Math.floor,pe=0,fe=null,me=null;function he(e){F(!m,"addRunDependency cannot be used in a pthread worker"),pe++,i.monitorRunDependencies&&i.monitorRunDependencies(pe)}function _e(e){if(pe--,i.monitorRunDependencies&&i.monitorRunDependencies(pe),0==pe&&(null!==fe&&(clearInterval(fe),fe=null),me)){var n=me;me=null,n()}}function be(e){throw i.onAbort&&i.onAbort(e),m&&console.error("Pthread aborting at "+(new Error).stack),A(e+=""),M(e),T=!0,e="abort("+e+"). Build with -s ASSERTIONS=1 for more info.",new WebAssembly.RuntimeError(e)}function ye(e,n){return String.prototype.startsWith?e.startsWith(n):0===e.indexOf(n)}i.preloadedImages={},i.preloadedAudios={};var ge="data:application/octet-stream;base64,";function we(e){return ye(e,ge)}var ve="file://";function Ie(e){return ye(e,ve)}var ke="tfjs-backend-wasm-threaded-simd.wasm";function Ee(){try{if(I)return new Uint8Array(I);if(_)return _(ke);throw"both async and sync fetching of the wasm failed"}catch(e){be(e)}}function Ae(){return I||!d&&!c||"function"!=typeof fetch||Ie(ke)?new Promise((function(e,n){e(Ee())})):fetch(ke,{credentials:"same-origin"}).then((function(e){if(!e.ok)throw"failed to load wasm binary file at '"+ke+"'";return e.arrayBuffer()})).catch((function(){return Ee()}))}function Me(){var e={a:Xn};function n(e,n){var t=e.exports;if(i.asm=t,S=n,!m){var r=Ge.unusedWorkers.length;Ge.unusedWorkers.forEach((function(e){Ge.loadWasmModuleToWorker(e,(function(){--r||_e()}))}))}}function t(e){n(e.instance,e.module)}function r(n){return Ae().then((function(n){return WebAssembly.instantiate(n,e)})).then(n,(function(e){M("failed to asynchronously prepare wasm: "+e),be(e)}))}if(m||he(),i.instantiateWasm)try{return i.instantiateWasm(e,n)}catch(e){return M("Module.instantiateWasm callback failed with error: "+e),!1}return function(){if(I||"function"!=typeof WebAssembly.instantiateStreaming||we(ke)||Ie(ke)||"function"!=typeof fetch)return r(t);fetch(ke,{credentials:"same-origin"}).then((function(n){return WebAssembly.instantiateStreaming(n,e).then(t,(function(e){M("wasm streaming compile failed: "+e),M("falling back to ArrayBuffer instantiation"),r(t)}))}))}(),{}}we(ke)||(ke=w(ke));var Se={};function xe(){Ge.initRuntime()}m||ne.push({func:function(){Kn()}});var Ne=0,Te=0,Pe=0;function De(e,n,t){Ne=e|=0,Pe=n|=0,Te=t|=0}i.__register_pthread_ptr=De;var We={EPERM:63,ENOENT:44,ESRCH:71,EINTR:27,EIO:29,ENXIO:60,E2BIG:1,ENOEXEC:45,EBADF:8,ECHILD:12,EAGAIN:6,EWOULDBLOCK:6,ENOMEM:48,EACCES:2,EFAULT:21,ENOTBLK:105,EBUSY:10,EEXIST:20,EXDEV:75,ENODEV:43,ENOTDIR:54,EISDIR:31,EINVAL:28,ENFILE:41,EMFILE:33,ENOTTY:59,ETXTBSY:74,EFBIG:22,ENOSPC:51,ESPIPE:70,EROFS:69,EMLINK:34,EPIPE:64,EDOM:18,ERANGE:68,ENOMSG:49,EIDRM:24,ECHRNG:106,EL2NSYNC:156,EL3HLT:107,EL3RST:108,ELNRNG:109,EUNATCH:110,ENOCSI:111,EL2HLT:112,EDEADLK:16,ENOLCK:46,EBADE:113,EBADR:114,EXFULL:115,ENOANO:104,EBADRQC:103,EBADSLT:102,EDEADLOCK:16,EBFONT:101,ENOSTR:100,ENODATA:116,ETIME:117,ENOSR:118,ENONET:119,ENOPKG:120,EREMOTE:121,ENOLINK:47,EADV:122,ESRMNT:123,ECOMM:124,EPROTO:65,EMULTIHOP:36,EDOTDOT:125,EBADMSG:9,ENOTUNIQ:126,EBADFD:127,EREMCHG:128,ELIBACC:129,ELIBBAD:130,ELIBSCN:131,ELIBMAX:132,ELIBEXEC:133,ENOSYS:52,ENOTEMPTY:55,ENAMETOOLONG:37,ELOOP:32,EOPNOTSUPP:138,EPFNOSUPPORT:139,ECONNRESET:15,ENOBUFS:42,EAFNOSUPPORT:5,EPROTOTYPE:67,ENOTSOCK:57,ENOPROTOOPT:50,ESHUTDOWN:140,ECONNREFUSED:14,EADDRINUSE:3,ECONNABORTED:13,ENETUNREACH:40,ENETDOWN:38,ETIMEDOUT:73,EHOSTDOWN:142,EHOSTUNREACH:23,EINPROGRESS:26,EALREADY:7,EDESTADDRREQ:17,EMSGSIZE:35,EPROTONOSUPPORT:66,ESOCKTNOSUPPORT:137,EADDRNOTAVAIL:4,ENETRESET:39,EISCONN:30,ENOTCONN:53,ETOOMANYREFS:141,EUSERS:136,EDQUOT:19,ESTALE:72,ENOTSUP:138,ENOMEDIUM:148,EILSEQ:25,EOVERFLOW:61,ECANCELED:11,ENOTRECOVERABLE:56,EOWNERDEAD:62,ESTRPIPE:135},Be=13360;function Le(e,t){if(e<=0||e>n().length||!0&e||t<0)return-28;if(0==t)return 0;t>=2147483647&&(t=1/0);var r=Atomics.load(a(),Be>>2),u=0;if(r==e&&Atomics.compareExchange(a(),Be>>2,r,0)==r&&(u=1,--t<=0))return 1;var s=Atomics.notify(a(),e>>2,t);if(s>=0)return s+u;throw"Atomics.notify returned an unexpected value "+s}function He(e){if(m)throw"Internal Error! _kill_thread() can only ever be called from main application thread!";if(!e)throw"Internal Error! Null pthread_ptr in _kill_thread!";a()[e+12>>2]=0;var n=Ge.pthreads[e];n.worker.terminate(),Ge.freeThreadData(n),Ge.runningWorkers.splice(Ge.runningWorkers.indexOf(n.worker),1),n.worker.pthread=void 0}function Ue(e){if(m)throw"Internal Error! _cancel_thread() can only ever be called from main application thread!";if(!e)throw"Internal Error! Null pthread_ptr in _cancel_thread!";Ge.pthreads[e].worker.postMessage({cmd:"cancel"})}function ze(e){if(m)throw"Internal Error! _cleanup_thread() can only ever be called from main application thread!";if(!e)throw"Internal Error! Null pthread_ptr in _cleanup_thread!";a()[e+12>>2]=0;var n=Ge.pthreads[e];if(n){var t=n.worker;Ge.returnWorkerToPool(t)}}i._emscripten_futex_wake=Le;var je,Ge={MAIN_THREAD_ID:1,mainThreadInfo:{schedPolicy:0,schedPrio:0},unusedWorkers:[],runningWorkers:[],initRuntime:function(){De(Ge.mainThreadBlock,!c,1),at(Ge.mainThreadBlock)},initMainThreadBlock:function(){for(var e=0;e<8;++e)Ge.allocateUnusedWorker();for(Ge.mainThreadBlock=12608,e=0;e<58;++e)u()[Ge.mainThreadBlock/4+e]=0;a()[Ge.mainThreadBlock+12>>2]=Ge.mainThreadBlock;var n=Ge.mainThreadBlock+156;for(a()[n>>2]=n,e=0;e<128;++e)u()[3212+e]=0;Atomics.store(u(),Ge.mainThreadBlock+104>>2,12848),Atomics.store(u(),Ge.mainThreadBlock+40>>2,Ge.mainThreadBlock),Atomics.store(u(),Ge.mainThreadBlock+44>>2,42)},initWorker:function(){},pthreads:{},exitHandlers:null,setThreadStatus:function(){},runExitHandlers:function(){if(null!==Ge.exitHandlers){for(;Ge.exitHandlers.length>0;)Ge.exitHandlers.pop()();Ge.exitHandlers=null}m&&N&&tt()},threadExit:function(e){var n=zn();n&&(Atomics.store(u(),n+4>>2,e),Atomics.store(u(),n+0>>2,1),Atomics.store(u(),n+60>>2,1),Atomics.store(u(),n+64>>2,0),Ge.runExitHandlers(),Le(n+0,2147483647),De(0,0,0),N=0,m&&postMessage({cmd:"exit"}))},threadCancel:function(){Ge.runExitHandlers(),Atomics.store(u(),N+4>>2,-1),Atomics.store(u(),N+0>>2,1),Le(N+0,2147483647),N=0,De(0,0,0),postMessage({cmd:"cancelDone"})},terminateAllThreads:function(){for(var e in Ge.pthreads)(r=Ge.pthreads[e])&&r.worker&&Ge.returnWorkerToPool(r.worker);Ge.pthreads={};for(var n=0;n<Ge.unusedWorkers.length;++n)(t=Ge.unusedWorkers[n]).terminate();for(Ge.unusedWorkers=[],n=0;n<Ge.runningWorkers.length;++n){var t,r=(t=Ge.runningWorkers[n]).pthread;Ge.freeThreadData(r),t.terminate()}Ge.runningWorkers=[]},freeThreadData:function(e){if(e){if(e.threadInfoStruct){var n=a()[e.threadInfoStruct+104>>2];a()[e.threadInfoStruct+104>>2]=0,Zn(n),Zn(e.threadInfoStruct)}e.threadInfoStruct=0,e.allocatedOwnStack&&e.stackBase&&Zn(e.stackBase),e.stackBase=0,e.worker&&(e.worker.pthread=null)}},returnWorkerToPool:function(e){delete Ge.pthreads[e.pthread.thread],Ge.unusedWorkers.push(e),Ge.runningWorkers.splice(Ge.runningWorkers.indexOf(e),1),Ge.freeThreadData(e.pthread),e.pthread=void 0},receiveObjectTransfer:function(e){},loadWasmModuleToWorker:function(e,n){e.onmessage=function(t){var r=t.data,a=r.cmd;if(e.pthread&&(Ge.currentProxiedOperationCallerThread=e.pthread.threadInfoStruct),r.targetThread&&r.targetThread!=zn()){var s=Ge.pthreads[r.targetThread];return s?s.worker.postMessage(t.data,r.transferList):console.error('Internal error! Worker sent a message "'+a+'" to target pthread '+r.targetThread+", but that thread no longer exists!"),void(Ge.currentProxiedOperationCallerThread=void 0)}"processQueuedMainThreadWork"===a?rt():"spawnThread"===a?Hn(t.data):"cleanupThread"===a?ze(r.thread):"killThread"===a?He(r.thread):"cancelThread"===a?Ue(r.thread):"loaded"===a?(e.loaded=!0,n&&n(e),e.runPthread&&(e.runPthread(),delete e.runPthread)):"print"===a?A("Thread "+r.threadId+": "+r.text):"printErr"===a?M("Thread "+r.threadId+": "+r.text):"alert"===a?alert("Thread "+r.threadId+": "+r.text):"exit"===a?e.pthread&&Atomics.load(u(),e.pthread.thread+68>>2)&&Ge.returnWorkerToPool(e):"cancelDone"===a?Ge.returnWorkerToPool(e):"objectTransfer"===a?Ge.receiveObjectTransfer(t.data):"setimmediate"===t.data.target?e.postMessage(t.data):M("worker sent an unknown command "+a),Ge.currentProxiedOperationCallerThread=void 0},e.onerror=function(e){M("pthread sent an error! "+e.filename+":"+e.lineno+": "+e.message)},p&&(e.on("message",(function(n){e.onmessage({data:n})})),e.on("error",(function(n){e.onerror(n)})),e.on("exit",(function(e){console.log("worker exited - TODO: update the worker queue?")}))),e.postMessage({cmd:"load",urlOrBlob:i.mainScriptUrlOrBlob||t,wasmMemory:E,wasmModule:S,DYNAMIC_BASE:K,DYNAMICTOP_PTR:Q})},allocateUnusedWorker:function(){var e=w("tfjs-backend-wasm-threaded-simd.worker.js");Ge.unusedWorkers.push(new Worker(e))},getNewWorker:function(){return 0==Ge.unusedWorkers.length&&(Ge.allocateUnusedWorker(),Ge.loadWasmModuleToWorker(Ge.unusedWorkers[0])),Ge.unusedWorkers.length>0?Ge.unusedWorkers.pop():null},busySpinWait:function(e){for(var n=performance.now()+e;performance.now()<n;);}};function Ve(e,n){dt(e)}function qe(){return k}function Xe(e,n,t,r){be("Assertion failed: "+D(e)+", at: "+[n?D(n):"unknown filename",t,r?D(r):"unknown function"])}function $e(e,n){_main(e,n)}function Ye(e){return a()[et()>>2]=e,e}function Ke(e,n){if(m)return un(1,1,e,n)}function Qe(e,n){if(e==n)postMessage({cmd:"processQueuedMainThreadWork"});else if(m)postMessage({targetThread:e,cmd:"processThreadQueue"});else{var t=Ge.pthreads[e],r=t&&t.worker;if(!r)return;r.postMessage({cmd:"processThreadQueue"})}return 1}function Ze(){be()}function Je(e,n){}function en(e,t,r){if(e<=0||e>n().length||!0&e)return-28;if(c){var u=Atomics.wait(a(),e>>2,t,r);if("timed-out"===u)return-73;if("not-equal"===u)return-6;if("ok"===u)return 0;throw"Atomics.wait returned an unexpected value "+u}if(t!=Atomics.load(a(),e>>2))return-6;var s=performance.now(),o=s+r;Atomics.store(a(),Be>>2,e);for(var i=e;e==i;){if((s=performance.now())>o)return-73;rt(),e=Atomics.load(a(),Be>>2)}return 0}function nn(){return 0|Pe}function tn(){return 0|Te}function rn(e,n,t){r().copyWithin(e,n,n+t)}function an(){return navigator.hardwareConcurrency}function un(e,n){for(var t=arguments.length-2,r=it(),a=lt(8*t),u=a>>3,o=0;o<t;o++)s()[u+o]=arguments[2+o];var i=st(e,t,a,n);return dt(r),i}i.establishStackSpace=Ve,i.getNoExitRuntime=qe,je=p?function(){var e=process.hrtime();return 1e3*e[0]+e[1]/1e6}:m?function(){return performance.now()-i.__performance_now_clock_drift}:"undefined"!=typeof dateNow?dateNow:function(){return performance.now()};var sn=[];function on(e,n){on.array||(on.array=[]);var t,u=on.array;for(u.length=0;t=r()[e++];)100===t||102===t?(n=n+7&-8,u.push(s()[n>>3]),n+=8):(n=n+3&-4,u.push(a()[n>>2]),n+=4);return u}function ln(e,n,t){sn.length=n;for(var r=t>>3,a=0;a<n;a++)sn[a]=s()[r+a];var u=e<0,o=u?Se[-e-1]:qn[e];if(u){var i=on(sn[1],sn[2]);return o.apply(null,i)}return o.apply(null,sn)}function dn(){return r().length}function cn(e){try{return E.grow(e-U.byteLength+65535>>>16),Y(E.buffer),1}catch(e){}}function pn(e){e>>>=0;var n=dn();if(e<=n)return!1;if(e>2147483648)return!1;for(var t=1;t<=4;t*=2){var r=n*(1+.2/t);if(r=Math.min(r,e+100663296),cn(Math.min(2147483648,$(Math.max(16777216,e,r),65536))))return!0}return!1}var fn={keyEvent:0,mouseEvent:0,wheelEvent:0,uiEvent:0,focusEvent:0,deviceOrientationEvent:0,deviceMotionEvent:0,fullscreenChangeEvent:0,pointerlockChangeEvent:0,visibilityChangeEvent:0,touchEvent:0,previousFullscreenElement:null,previousScreenX:null,previousScreenY:null,removeEventListenersRegistered:!1,removeAllEventListeners:function(){for(var e=fn.eventHandlers.length-1;e>=0;--e)fn._removeHandler(e);fn.eventHandlers=[],fn.deferredCalls=[]},registerRemoveEventListeners:function(){fn.removeEventListenersRegistered||(fn.removeEventListenersRegistered=!0)},deferredCalls:[],deferCall:function(e,n,t){function r(e,n){if(e.length!=n.length)return!1;for(var t in e)if(e[t]!=n[t])return!1;return!0}for(var a in fn.deferredCalls){var u=fn.deferredCalls[a];if(u.targetFunction==e&&r(u.argsList,t))return}fn.deferredCalls.push({targetFunction:e,precedence:n,argsList:t}),fn.deferredCalls.sort((function(e,n){return e.precedence<n.precedence}))},removeDeferredCalls:function(e){for(var n=0;n<fn.deferredCalls.length;++n)fn.deferredCalls[n].targetFunction==e&&(fn.deferredCalls.splice(n,1),--n)},canPerformEventHandlerRequests:function(){return fn.inEventHandler&&fn.currentEventHandler.allowsDeferredCalls},runDeferredCalls:function(){if(fn.canPerformEventHandlerRequests())for(var e=0;e<fn.deferredCalls.length;++e){var n=fn.deferredCalls[e];fn.deferredCalls.splice(e,1),--e,n.targetFunction.apply(null,n.argsList)}},inEventHandler:0,currentEventHandler:null,eventHandlers:[],removeAllHandlersOnTarget:function(e,n){for(var t=0;t<fn.eventHandlers.length;++t)fn.eventHandlers[t].target!=e||n&&n!=fn.eventHandlers[t].eventTypeString||fn._removeHandler(t--)},_removeHandler:function(e){var n=fn.eventHandlers[e];n.target.removeEventListener(n.eventTypeString,n.eventListenerFunc,n.useCapture),fn.eventHandlers.splice(e,1)},registerOrRemoveHandler:function(e){var n=function(n){++fn.inEventHandler,fn.currentEventHandler=e,fn.runDeferredCalls(),e.handlerFunc(n),fn.runDeferredCalls(),--fn.inEventHandler};if(e.callbackfunc)e.eventListenerFunc=n,e.target.addEventListener(e.eventTypeString,n,e.useCapture),fn.eventHandlers.push(e),fn.registerRemoveEventListeners();else for(var t=0;t<fn.eventHandlers.length;++t)fn.eventHandlers[t].target==e.target&&fn.eventHandlers[t].eventTypeString==e.eventTypeString&&fn._removeHandler(t--)},queueEventHandlerOnThread_iiii:function(e,n,t,r,u){var s=it(),o=lt(12);a()[o>>2]=t,a()[o+4>>2]=r,a()[o+8>>2]=u,ot(e,637534208,n,r,o),dt(s)},getTargetThreadForEventCallback:function(e){switch(e){case 1:return 0;case 2:return Ge.currentProxiedOperationCallerThread;default:return e}},getNodeNameForTarget:function(e){return e?e==window?"#window":e==screen?"#screen":e&&e.nodeName?e.nodeName:"":""},fullscreenEnabled:function(){return document.fullscreenEnabled||document.webkitFullscreenEnabled}};function mn(e){var n=L(e)+1,t=Qn(n);return B(e,t,n),t}function hn(e,n,t,r){var u=it(),s=lt(12),o=0;n&&(o=mn(n)),a()[s>>2]=o,a()[s+4>>2]=t,a()[s+8>>2]=r,ot(e,657457152,0,o,s),dt(u)}function _n(e,n,t,r){hn(e,n=n?D(n):"",t,r)}function bn(e){return e>2?D(e):e}var yn=[0,"undefined"!=typeof document?document:0,"undefined"!=typeof window?window:0];function gn(e){return e=bn(e),yn[e]||("undefined"!=typeof document?document.querySelector(e):void 0)}function wn(e){return gn(e)}function vn(e,n,t){var r=wn(e);if(!r)return-4;if(r.canvasSharedPtr&&(a()[r.canvasSharedPtr>>2]=n,a()[r.canvasSharedPtr+4>>2]=t),!r.offscreenCanvas&&r.controlTransferredOffscreen)return r.canvasSharedPtr?(_n(a()[r.canvasSharedPtr+8>>2],e,n,t),1):-4;r.offscreenCanvas&&(r=r.offscreenCanvas);var u=!1;if(r.GLctxObject&&r.GLctxObject.GLctx){var s=r.GLctxObject.GLctx.getParameter(2978);u=0===s[0]&&0===s[1]&&s[2]===r.width&&s[3]===r.height}return r.width=n,r.height=t,u&&r.GLctxObject.GLctx.viewport(0,0,n,t),0}function In(e,n,t){return m?un(2,1,e,n,t):vn(e,n,t)}function kn(e,n,t){return wn(e)?vn(e,n,t):In(e,n,t)}function En(e){}function An(e,n){}function Mn(e){var n=e.getExtension("ANGLE_instanced_arrays");if(n)return e.vertexAttribDivisor=function(e,t){n.vertexAttribDivisorANGLE(e,t)},e.drawArraysInstanced=function(e,t,r,a){n.drawArraysInstancedANGLE(e,t,r,a)},e.drawElementsInstanced=function(e,t,r,a,u){n.drawElementsInstancedANGLE(e,t,r,a,u)},1}function Sn(e){var n=e.getExtension("OES_vertex_array_object");if(n)return e.createVertexArray=function(){return n.createVertexArrayOES()},e.deleteVertexArray=function(e){n.deleteVertexArrayOES(e)},e.bindVertexArray=function(e){n.bindVertexArrayOES(e)},e.isVertexArray=function(e){return n.isVertexArrayOES(e)},1}function xn(e){var n=e.getExtension("WEBGL_draw_buffers");if(n)return e.drawBuffers=function(e,t){n.drawBuffersWEBGL(e,t)},1}var Nn={counter:1,lastError:0,buffers:[],mappedBuffers:{},programs:[],framebuffers:[],renderbuffers:[],textures:[],uniforms:[],shaders:[],vaos:[],contexts:{},currentContext:null,offscreenCanvases:{},timerQueriesEXT:[],programInfos:{},stringCache:{},unpackAlignment:4,init:function(){for(var e=new Float32Array(Nn.MINI_TEMP_BUFFER_SIZE),n=0;n<Nn.MINI_TEMP_BUFFER_SIZE;n++)Nn.miniTempBufferFloatViews[n]=e.subarray(0,n+1);var t=new Int32Array(Nn.MINI_TEMP_BUFFER_SIZE);for(n=0;n<Nn.MINI_TEMP_BUFFER_SIZE;n++)Nn.miniTempBufferIntViews[n]=t.subarray(0,n+1)},recordError:function(e){Nn.lastError||(Nn.lastError=e)},getNewId:function(e){for(var n=Nn.counter++,t=e.length;t<n;t++)e[t]=null;return n},MINI_TEMP_BUFFER_SIZE:256,miniTempBufferFloatViews:[0],miniTempBufferIntViews:[0],getSource:function(e,n,t,r){for(var u="",s=0;s<n;++s){var o=r?a()[r+4*s>>2]:-1;u+=D(a()[t+4*s>>2],o<0?void 0:o)}return u},createContext:function(e,n){var t=e.getContext("webgl",n);return t?Nn.registerContext(t,n):0},registerContext:function(e,n){var t=Qn(8);a()[t+4>>2]=zn();var r={handle:t,attributes:n,version:n.majorVersion,GLctx:e};return e.canvas&&(e.canvas.GLctxObject=r),Nn.contexts[t]=r,(void 0===n.enableExtensionsByDefault||n.enableExtensionsByDefault)&&Nn.initExtensions(r),t},makeContextCurrent:function(e){return Nn.currentContext=Nn.contexts[e],i.ctx=Cn=Nn.currentContext&&Nn.currentContext.GLctx,!(e&&!Cn)},getContext:function(e){return Nn.contexts[e]},deleteContext:function(e){Nn.currentContext===Nn.contexts[e]&&(Nn.currentContext=null),"object"==typeof fn&&fn.removeAllHandlersOnTarget(Nn.contexts[e].GLctx.canvas),Nn.contexts[e]&&Nn.contexts[e].GLctx.canvas&&(Nn.contexts[e].GLctx.canvas.GLctxObject=void 0),Zn(Nn.contexts[e].handle),Nn.contexts[e]=null},initExtensions:function(e){if(e||(e=Nn.currentContext),!e.initExtensionsDone){e.initExtensionsDone=!0;var n=e.GLctx;Mn(n),Sn(n),xn(n),n.disjointTimerQueryExt=n.getExtension("EXT_disjoint_timer_query");var t=["OES_texture_float","OES_texture_half_float","OES_standard_derivatives","OES_vertex_array_object","WEBGL_compressed_texture_s3tc","WEBGL_depth_texture","OES_element_index_uint","EXT_texture_filter_anisotropic","EXT_frag_depth","WEBGL_draw_buffers","ANGLE_instanced_arrays","OES_texture_float_linear","OES_texture_half_float_linear","EXT_blend_minmax","EXT_shader_texture_lod","EXT_texture_norm16","WEBGL_compressed_texture_pvrtc","EXT_color_buffer_half_float","WEBGL_color_buffer_float","EXT_sRGB","WEBGL_compressed_texture_etc1","EXT_disjoint_timer_query","WEBGL_compressed_texture_etc","WEBGL_compressed_texture_astc","EXT_color_buffer_float","WEBGL_compressed_texture_s3tc_srgb","EXT_disjoint_timer_query_webgl2","WEBKIT_WEBGL_compressed_texture_pvrtc"];(n.getSupportedExtensions()||[]).forEach((function(e){-1!=t.indexOf(e)&&n.getExtension(e)}))}},populateUniformTable:function(e){for(var n=Nn.programs[e],t=Nn.programInfos[e]={uniforms:{},maxUniformLength:0,maxAttributeLength:-1,maxUniformBlockNameLength:-1},r=t.uniforms,a=Cn.getProgramParameter(n,35718),u=0;u<a;++u){var s=Cn.getActiveUniform(n,u),o=s.name;t.maxUniformLength=Math.max(t.maxUniformLength,o.length+1),"]"==o.slice(-1)&&(o=o.slice(0,o.lastIndexOf("[")));var i=Cn.getUniformLocation(n,o);if(i){var l=Nn.getNewId(Nn.uniforms);r[o]=[s.size,l],Nn.uniforms[l]=i;for(var d=1;d<s.size;++d){var c=o+"["+d+"]";i=Cn.getUniformLocation(n,c),l=Nn.getNewId(Nn.uniforms),Nn.uniforms[l]=i}}}}},Tn=["default","low-power","high-performance"];function Fn(e,n){var t={},r=n>>2;t.alpha=!!a()[r+0],t.depth=!!a()[r+1],t.stencil=!!a()[r+2],t.antialias=!!a()[r+3],t.premultipliedAlpha=!!a()[r+4],t.preserveDrawingBuffer=!!a()[r+5];var u=a()[r+6];t.powerPreference=Tn[u],t.failIfMajorPerformanceCaveat=!!a()[r+7],t.majorVersion=a()[r+8],t.minorVersion=a()[r+9],t.enableExtensionsByDefault=a()[r+10],t.explicitSwapControl=a()[r+11],t.proxyContextToMainThread=a()[r+12],t.renderViaOffscreenBackBuffer=a()[r+13];var s=wn(e);return s?t.explicitSwapControl?-1:Nn.createContext(s,t):-4}function On(e,n){return Fn(e,n)}var Cn,Rn={mappings:{},buffers:[null,[],[]],printChar:function(e,n){var t=Rn.buffers[e];0===n||10===n?((1===e?A:M)(P(t,0)),t.length=0):t.push(n)},varargs:void 0,get:function(){return Rn.varargs+=4,a()[Rn.varargs-4>>2]},getStr:function(e){return D(e)},get64:function(e,n){return e}};function Pn(e){return m?un(3,1,e):0}function Dn(e,n,t,r,a){if(m)return un(4,1,e,n,t,r,a)}function Wn(e,n,t,u){if(m)return un(5,1,e,n,t,u);for(var s=0,o=0;o<t;o++){for(var i=a()[n+8*o>>2],l=a()[n+(8*o+4)>>2],d=0;d<l;d++)Rn.printChar(e,r()[i+d]);s+=l}return a()[u>>2]=s,0}function Bn(e){var n=Ge.exitHandlers.pop();e&&n()}function Ln(e,n){null===Ge.exitHandlers&&(Ge.exitHandlers=[]),Ge.exitHandlers.push((function(){ct(e,n)}))}function Hn(e){if(m)throw"Internal Error! _spawn_thread() can only ever be called from main application thread!";var n=Ge.getNewWorker();if(void 0!==n.pthread)throw"Internal error!";if(!e.pthread_ptr)throw"Internal error, no pthread ptr!";Ge.runningWorkers.push(n);for(var t=Qn(512),r=0;r<128;++r)a()[t+4*r>>2]=0;var s=e.stackBase+e.stackSize,o=Ge.pthreads[e.pthread_ptr]={worker:n,stackBase:e.stackBase,stackSize:e.stackSize,allocatedOwnStack:e.allocatedOwnStack,thread:e.pthread_ptr,threadInfoStruct:e.pthread_ptr},i=o.threadInfoStruct>>2;Atomics.store(u(),i+0,0),Atomics.store(u(),i+1,0),Atomics.store(u(),i+2,0),Atomics.store(u(),i+17,e.detached),Atomics.store(u(),i+26,t),Atomics.store(u(),i+12,0),Atomics.store(u(),i+10,o.threadInfoStruct),Atomics.store(u(),i+11,42),Atomics.store(u(),i+27,e.stackSize),Atomics.store(u(),i+21,e.stackSize),Atomics.store(u(),i+20,s),Atomics.store(u(),i+29,s),Atomics.store(u(),i+30,e.detached),Atomics.store(u(),i+32,e.schedPolicy),Atomics.store(u(),i+33,e.schedPrio);var l=Jn()+40;Atomics.store(u(),i+44,l),n.pthread=o;var d={cmd:"run",start_routine:e.startRoutine,arg:e.arg,threadInfoStruct:e.pthread_ptr,selfThreadId:e.pthread_ptr,parentThreadId:e.parent_pthread_ptr,stackBase:e.stackBase,stackSize:e.stackSize};n.runPthread=function(){d.time=performance.now(),n.postMessage(d,e.transferList)},n.loaded&&(n.runPthread(),delete n.runPthread)}function Un(e,n,t){if(!n&&!t)return We.EINVAL;if(!e)return M("pthread_getschedparam called with a null thread pointer!"),We.ESRCH;if(a()[e+12>>2]!==e)return M("pthread_getschedparam attempted on thread "+e+", which does not point to a valid thread, or does not exist anymore!"),We.ESRCH;var r=Atomics.load(u(),e+108+20>>2),s=Atomics.load(u(),e+108+24>>2);return n&&(a()[n>>2]=r),t&&(a()[t>>2]=s),0}function zn(){return 0|Ne}function jn(e,n,t,r){if("undefined"==typeof SharedArrayBuffer)return M("Current environment does not support SharedArrayBuffer, pthreads are not available!"),6;if(!e)return M("pthread_create called with a null thread pointer!"),28;var s=[];if(m&&0===s.length)return ut(687865856,e,n,t,r);var o=0,i=0,l=0,d=0,c=0;if(n)if(o=a()[n>>2],o+=81920,i=a()[n+8>>2],l=0!==a()[n+12>>2],0===a()[n+16>>2]){var p=a()[n+20>>2],f=a()[n+24>>2];Un(Ge.currentProxiedOperationCallerThread?Ge.currentProxiedOperationCallerThread:zn(),n+20,n+24),d=a()[n+20>>2],c=a()[n+24>>2],a()[n+20>>2]=p,a()[n+24>>2]=f}else d=a()[n+20>>2],c=a()[n+24>>2];else o=2097152;var h=0==i;h?i=nt(16,o):F((i-=o)>0);for(var _=Qn(232),b=0;b<58;++b)u()[(_>>2)+b]=0;a()[e>>2]=_,a()[_+12>>2]=_;var y=_+156;a()[y>>2]=y;var g={stackBase:i,stackSize:o,allocatedOwnStack:h,schedPolicy:d,schedPrio:c,detached:l,startRoutine:t,pthread_ptr:_,parent_pthread_ptr:zn(),arg:r,transferList:s};return m?(g.cmd="spawnThread",postMessage(g,s)):Hn(g),0}function Gn(e){return(e=+e)>=0?+ce(e+.5):+de(e-.5)}function Vn(e){if(m)return un(6,1,e);switch(e){case 30:return 16384;case 85:return 131072;case 132:case 133:case 12:case 137:case 138:case 15:case 235:case 16:case 17:case 18:case 19:case 20:case 149:case 13:case 10:case 236:case 153:case 9:case 21:case 22:case 159:case 154:case 14:case 77:case 78:case 139:case 80:case 81:case 82:case 68:case 67:case 164:case 11:case 29:case 47:case 48:case 95:case 52:case 51:case 46:case 79:return 200809;case 27:case 246:case 127:case 128:case 23:case 24:case 160:case 161:case 181:case 182:case 242:case 183:case 184:case 243:case 244:case 245:case 165:case 178:case 179:case 49:case 50:case 168:case 169:case 175:case 170:case 171:case 172:case 97:case 76:case 32:case 173:case 35:return-1;case 176:case 177:case 7:case 155:case 8:case 157:case 125:case 126:case 92:case 93:case 129:case 130:case 131:case 94:case 91:return 1;case 74:case 60:case 69:case 70:case 4:return 1024;case 31:case 42:case 72:return 32;case 87:case 26:case 33:return 2147483647;case 34:case 1:return 47839;case 38:case 36:return 99;case 43:case 37:return 2048;case 0:return 2097152;case 3:return 65536;case 28:return 32768;case 44:return 32767;case 75:return 16384;case 39:return 1e3;case 89:return 700;case 71:return 256;case 40:return 255;case 2:return 100;case 180:return 64;case 25:return 20;case 5:return 16;case 6:return 6;case 73:return 4;case 84:return"object"==typeof navigator&&navigator.hardwareConcurrency||1}return Ye(28),-1}i._pthread_self=zn,m?Ge.initWorker():Ge.initMainThreadBlock(),Nn.init();var qn=[null,Ke,In,Pn,Dn,Wn,Vn],Xn={e:Xe,r:$e,w:Qe,a:Ze,l:Je,d:en,c:Le,h:je,g:nn,x:tn,q:rn,B:an,t:ln,A:pn,u:kn,k:En,s:An,v:On,m:Pn,o:Dn,i:Wn,p:xe,memory:E||i.wasmMemory,y:Bn,z:Ln,j:jn,b:zn,f:Gn,n:Vn,table:x},$n=Me();i.asm=$n;var Yn,Kn=i.___wasm_call_ctors=function(){return(Kn=i.___wasm_call_ctors=i.asm.C).apply(null,arguments)},Qn=(i._init=function(){return(i._init=i.asm.D).apply(null,arguments)},i._register_tensor=function(){return(i._register_tensor=i.asm.E).apply(null,arguments)},i._dispose_data=function(){return(i._dispose_data=i.asm.F).apply(null,arguments)},i._dispose=function(){return(i._dispose=i.asm.G).apply(null,arguments)},i._Abs=function(){return(i._Abs=i.asm.H).apply(null,arguments)},i._Add=function(){return(i._Add=i.asm.I).apply(null,arguments)},i._AddN=function(){return(i._AddN=i.asm.J).apply(null,arguments)},i._ArgMax=function(){return(i._ArgMax=i.asm.K).apply(null,arguments)},i._AvgPool=function(){return(i._AvgPool=i.asm.L).apply(null,arguments)},i._BatchMatMul=function(){return(i._BatchMatMul=i.asm.M).apply(null,arguments)},i._ClipByValue=function(){return(i._ClipByValue=i.asm.N).apply(null,arguments)},i._Conv2D=function(){return(i._Conv2D=i.asm.O).apply(null,arguments)},i._Conv2DBackpropInput=function(){return(i._Conv2DBackpropInput=i.asm.P).apply(null,arguments)},i._Cos=function(){return(i._Cos=i.asm.Q).apply(null,arguments)},i._CropAndResize=function(){return(i._CropAndResize=i.asm.R).apply(null,arguments)},i._DepthwiseConv2dNative=function(){return(i._DepthwiseConv2dNative=i.asm.S).apply(null,arguments)},i._Div=function(){return(i._Div=i.asm.T).apply(null,arguments)},i._Equal=function(){return(i._Equal=i.asm.U).apply(null,arguments)},i._Exp=function(){return(i._Exp=i.asm.V).apply(null,arguments)},i._FlipLeftRight=function(){return(i._FlipLeftRight=i.asm.W).apply(null,arguments)},i._FloorDiv=function(){return(i._FloorDiv=i.asm.X).apply(null,arguments)},i._FusedBatchNorm=function(){return(i._FusedBatchNorm=i.asm.Y).apply(null,arguments)},i._FusedConv2D=function(){return(i._FusedConv2D=i.asm.Z).apply(null,arguments)},i._FusedDepthwiseConv2D=function(){return(i._FusedDepthwiseConv2D=i.asm._).apply(null,arguments)},i._Gather=function(){return(i._Gather=i.asm.$).apply(null,arguments)},i._GatherNd=function(){return(i._GatherNd=i.asm.aa).apply(null,arguments)},i._Greater=function(){return(i._Greater=i.asm.ba).apply(null,arguments)},i._GreaterEqual=function(){return(i._GreaterEqual=i.asm.ca).apply(null,arguments)},i._Less=function(){return(i._Less=i.asm.da).apply(null,arguments)},i._LessEqual=function(){return(i._LessEqual=i.asm.ea).apply(null,arguments)},i._Log=function(){return(i._Log=i.asm.fa).apply(null,arguments)},i._LogicalAnd=function(){return(i._LogicalAnd=i.asm.ga).apply(null,arguments)},i._Max=function(){return(i._Max=i.asm.ha).apply(null,arguments)},i._MaxPool=function(){return(i._MaxPool=i.asm.ia).apply(null,arguments)},i._Maximum=function(){return(i._Maximum=i.asm.ja).apply(null,arguments)},i._Min=function(){return(i._Min=i.asm.ka).apply(null,arguments)},i._Minimum=function(){return(i._Minimum=i.asm.la).apply(null,arguments)},i._Multiply=function(){return(i._Multiply=i.asm.ma).apply(null,arguments)},i._Negate=function(){return(i._Negate=i.asm.na).apply(null,arguments)},i._NonMaxSuppressionV3=function(){return(i._NonMaxSuppressionV3=i.asm.oa).apply(null,arguments)},i._NonMaxSuppressionV4=function(){return(i._NonMaxSuppressionV4=i.asm.pa).apply(null,arguments)},i._NonMaxSuppressionV5=function(){return(i._NonMaxSuppressionV5=i.asm.qa).apply(null,arguments)},i._NotEqual=function(){return(i._NotEqual=i.asm.ra).apply(null,arguments)},i._OneHot=function(){return(i._OneHot=i.asm.sa).apply(null,arguments)},i._PadV2=function(){return(i._PadV2=i.asm.ta).apply(null,arguments)},i._Pow=function(){return(i._Pow=i.asm.ua).apply(null,arguments)},i._Prelu=function(){return(i._Prelu=i.asm.va).apply(null,arguments)},i._Relu=function(){return(i._Relu=i.asm.wa).apply(null,arguments)},i._Relu6=function(){return(i._Relu6=i.asm.xa).apply(null,arguments)},i._ResizeBilinear=function(){return(i._ResizeBilinear=i.asm.ya).apply(null,arguments)},i._Reverse=function(){return(i._Reverse=i.asm.za).apply(null,arguments)},i._RotateWithOffset=function(){return(i._RotateWithOffset=i.asm.Aa).apply(null,arguments)},i._Rsqrt=function(){return(i._Rsqrt=i.asm.Ba).apply(null,arguments)},i._ScatterNd=function(){return(i._ScatterNd=i.asm.Ca).apply(null,arguments)},i._SelectV2=function(){return(i._SelectV2=i.asm.Da).apply(null,arguments)},i._Sigmoid=function(){return(i._Sigmoid=i.asm.Ea).apply(null,arguments)},i._Sin=function(){return(i._Sin=i.asm.Fa).apply(null,arguments)},i._Softmax=function(){return(i._Softmax=i.asm.Ga).apply(null,arguments)},i._Sqrt=function(){return(i._Sqrt=i.asm.Ha).apply(null,arguments)},i._Square=function(){return(i._Square=i.asm.Ia).apply(null,arguments)},i._Sub=function(){return(i._Sub=i.asm.Ja).apply(null,arguments)},i._Sum=function(){return(i._Sum=i.asm.Ka).apply(null,arguments)},i._Tanh=function(){return(i._Tanh=i.asm.La).apply(null,arguments)},i._Tile=function(){return(i._Tile=i.asm.Ma).apply(null,arguments)},i._Transpose=function(){return(i._Transpose=i.asm.Na).apply(null,arguments)},i.__FusedMatMul=function(){return(i.__FusedMatMul=i.asm.Oa).apply(null,arguments)},i._malloc=function(){return(Qn=i._malloc=i.asm.Pa).apply(null,arguments)}),Zn=i._free=function(){return(Zn=i._free=i.asm.Qa).apply(null,arguments)},Jn=i._emscripten_get_global_libc=function(){return(Jn=i._emscripten_get_global_libc=i.asm.Ra).apply(null,arguments)},et=i.___errno_location=function(){return(et=i.___errno_location=i.asm.Sa).apply(null,arguments)},nt=(i.___em_js__initPthreadsJS=function(){return(i.___em_js__initPthreadsJS=i.asm.Ta).apply(null,arguments)},i._memalign=function(){return(nt=i._memalign=i.asm.Ua).apply(null,arguments)}),tt=i.___pthread_tsd_run_dtors=function(){return(tt=i.___pthread_tsd_run_dtors=i.asm.Va).apply(null,arguments)},rt=i._emscripten_main_thread_process_queued_calls=function(){return(rt=i._emscripten_main_thread_process_queued_calls=i.asm.Wa).apply(null,arguments)},at=(i._emscripten_current_thread_process_queued_calls=function(){return(i._emscripten_current_thread_process_queued_calls=i.asm.Xa).apply(null,arguments)},i._emscripten_register_main_browser_thread_id=function(){return(at=i._emscripten_register_main_browser_thread_id=i.asm.Ya).apply(null,arguments)}),ut=(i._emscripten_main_browser_thread_id=function(){return(i._emscripten_main_browser_thread_id=i.asm.Za).apply(null,arguments)},i._emscripten_async_run_in_main_thread=function(){return(i._emscripten_async_run_in_main_thread=i.asm._a).apply(null,arguments)},i._emscripten_sync_run_in_main_thread=function(){return(i._emscripten_sync_run_in_main_thread=i.asm.$a).apply(null,arguments)},i._emscripten_sync_run_in_main_thread_0=function(){return(i._emscripten_sync_run_in_main_thread_0=i.asm.ab).apply(null,arguments)},i._emscripten_sync_run_in_main_thread_1=function(){return(i._emscripten_sync_run_in_main_thread_1=i.asm.bb).apply(null,arguments)},i._emscripten_sync_run_in_main_thread_2=function(){return(i._emscripten_sync_run_in_main_thread_2=i.asm.cb).apply(null,arguments)},i._emscripten_sync_run_in_main_thread_xprintf_varargs=function(){return(i._emscripten_sync_run_in_main_thread_xprintf_varargs=i.asm.db).apply(null,arguments)},i._emscripten_sync_run_in_main_thread_3=function(){return(i._emscripten_sync_run_in_main_thread_3=i.asm.eb).apply(null,arguments)},i._emscripten_sync_run_in_main_thread_4=function(){return(ut=i._emscripten_sync_run_in_main_thread_4=i.asm.fb).apply(null,arguments)}),st=(i._emscripten_sync_run_in_main_thread_5=function(){return(i._emscripten_sync_run_in_main_thread_5=i.asm.gb).apply(null,arguments)},i._emscripten_sync_run_in_main_thread_6=function(){return(i._emscripten_sync_run_in_main_thread_6=i.asm.hb).apply(null,arguments)},i._emscripten_sync_run_in_main_thread_7=function(){return(i._emscripten_sync_run_in_main_thread_7=i.asm.ib).apply(null,arguments)},i._emscripten_run_in_main_runtime_thread_js=function(){return(st=i._emscripten_run_in_main_runtime_thread_js=i.asm.jb).apply(null,arguments)}),ot=i._emscripten_async_queue_on_thread_=function(){return(ot=i._emscripten_async_queue_on_thread_=i.asm.kb).apply(null,arguments)},it=(i._emscripten_tls_init=function(){return(i._emscripten_tls_init=i.asm.lb).apply(null,arguments)},i.stackSave=function(){return(it=i.stackSave=i.asm.mb).apply(null,arguments)}),lt=i.stackAlloc=function(){return(lt=i.stackAlloc=i.asm.nb).apply(null,arguments)},dt=i.stackRestore=function(){return(dt=i.stackRestore=i.asm.ob).apply(null,arguments)},ct=i.dynCall_vi=function(){return(ct=i.dynCall_vi=i.asm.pb).apply(null,arguments)};function pt(e){this.name="ExitStatus",this.message="Program terminated with exit("+e+")",this.status=e}function ft(e){function n(){Yn||(Yn=!0,i.calledRun=!0,T||(ue(),se(),i.onRuntimeInitialized&&i.onRuntimeInitialized(),oe()))}pe>0||(ae(),pe>0||(i.setStatus?(i.setStatus("Running..."),setTimeout((function(){setTimeout((function(){i.setStatus("")}),1),n()}),1)):n()))}if(i.dynCall_v=function(){return(i.dynCall_v=i.asm.qb).apply(null,arguments)},i.dynCall_ii=function(){return(i.dynCall_ii=i.asm.rb).apply(null,arguments)},i.asm=$n,i.cwrap=R,i.PThread=Ge,i.PThread=Ge,i._pthread_self=zn,i.wasmMemory=E,i.ExitStatus=pt,i.then=function(e){if(Yn)e(i);else{var n=i.onRuntimeInitialized;i.onRuntimeInitialized=function(){n&&n(),e(i)}}return i},me=function e(){Yn||ft(),Yn||(me=e)},i.run=ft,i.preInit)for("function"==typeof i.preInit&&(i.preInit=[i.preInit]);i.preInit.length>0;)i.preInit.pop()();return m||(k=!0),m||ft(),e});e.exports=r}));const $n='var threadInfoStruct=0;var selfThreadId=0;var parentThreadId=0;var Module={};function threadPrintErr(){var text=Array.prototype.slice.call(arguments).join(" ");console.error(text)}function threadAlert(){var text=Array.prototype.slice.call(arguments).join(" ");postMessage({cmd:"alert",text:text,threadId:selfThreadId})}var err=threadPrintErr;this.alert=threadAlert;Module["instantiateWasm"]=function(info,receiveInstance){var instance=new WebAssembly.Instance(Module["wasmModule"],info);Module["wasmModule"]=null;receiveInstance(instance);return instance.exports};this.onmessage=function(e){try{if(e.data.cmd==="load"){Module["DYNAMIC_BASE"]=e.data.DYNAMIC_BASE;Module["DYNAMICTOP_PTR"]=e.data.DYNAMICTOP_PTR;Module["wasmModule"]=e.data.wasmModule;Module["wasmMemory"]=e.data.wasmMemory;Module["buffer"]=Module["wasmMemory"].buffer;Module["ENVIRONMENT_IS_PTHREAD"]=true;if(typeof e.data.urlOrBlob==="string"){importScripts(e.data.urlOrBlob)}else{var objectUrl=URL.createObjectURL(e.data.urlOrBlob);importScripts(objectUrl);URL.revokeObjectURL(objectUrl)}Module=WasmBackendModuleThreadedSimd(Module);postMessage({"cmd":"loaded"})}else if(e.data.cmd==="objectTransfer"){Module["PThread"].receiveObjectTransfer(e.data)}else if(e.data.cmd==="run"){Module["__performance_now_clock_drift"]=performance.now()-e.data.time;threadInfoStruct=e.data.threadInfoStruct;Module["__register_pthread_ptr"](threadInfoStruct,0,0);selfThreadId=e.data.selfThreadId;parentThreadId=e.data.parentThreadId;var max=e.data.stackBase;var top=e.data.stackBase+e.data.stackSize;Module["establishStackSpace"](top,max);Module["_emscripten_tls_init"]();Module["PThread"].receiveObjectTransfer(e.data);Module["PThread"].setThreadStatus(Module["_pthread_self"](),1);try{var result=Module["dynCall_ii"](e.data.start_routine,e.data.arg);if(!Module["getNoExitRuntime"]())Module["PThread"].threadExit(result)}catch(ex){if(ex==="Canceled!"){Module["PThread"].threadCancel()}else if(ex!="unwind"){Atomics.store(Module["HEAPU32"],threadInfoStruct+4>>2,ex instanceof Module["ExitStatus"]?ex.status:-2);Atomics.store(Module["HEAPU32"],threadInfoStruct+0>>2,1);Module["_emscripten_futex_wake"](threadInfoStruct+0,2147483647);if(!(ex instanceof Module["ExitStatus"]))throw ex}}}else if(e.data.cmd==="cancel"){if(threadInfoStruct){Module["PThread"].threadCancel()}}else if(e.data.target==="setimmediate"){}else if(e.data.cmd==="processThreadQueue"){if(threadInfoStruct){Module["_emscripten_current_thread_process_queued_calls"]()}}else{err("worker.js received unknown command "+e.data.cmd);err(e.data)}}catch(ex){err("worker.js onmessage() captured an uncaught exception: "+ex);if(ex.stack)err(ex.stack);throw ex}};if(typeof process==="object"&&typeof process.versions==="object"&&typeof process.versions.node==="string"){self={location:{href:__filename}};var onmessage=this.onmessage;var nodeWorkerThreads=require("worker_threads");Worker=nodeWorkerThreads.Worker;var parentPort=nodeWorkerThreads.parentPort;parentPort.on("message",function(data){onmessage({data:data})});var nodeFS=require("fs");var nodeRead=function(filename){return nodeFS.readFileSync(filename,"utf8")};function globalEval(x){global.require=require;global.Module=Module;eval.call(null,x)}importScripts=function(f){globalEval(nodeRead(f))};postMessage=function(msg){parentPort.postMessage(msg)};if(typeof performance==="undefined"){performance={now:function(){return Date.now()}}}}';var Yn=qn((function(e,n){var t,r=(t="undefined"!=typeof document&&document.currentScript?document.currentScript.src:void 0,"undefined"!=typeof __filename&&(t=t||__filename),function(e){var n,r=void 0!==(e=e||{})?e:{},a={};for(n in r)r.hasOwnProperty(n)&&(a[n]=r[n]);var u=function(e,n){throw n},s=!1,o=!1,i=!1,l=!1;s="object"==typeof window,o="function"==typeof importScripts,i="object"==typeof process&&"object"==typeof process.versions&&"string"==typeof process.versions.node,l=!s&&!i&&!o;var d,c,p,f,m="";function h(e){return r.locateFile?r.locateFile(e,m):m+e}i?(m=o?Fe.dirname(m)+"/":__dirname+"/",d=function(e,n){return p||(p=Oe),f||(f=Fe),e=f.normalize(e),p.readFileSync(e,n?null:"utf8")},c=function(e){var n=d(e,!0);return n.buffer||(n=new Uint8Array(n)),I(n.buffer),n},process.argv.length>1&&process.argv[1].replace(/\\/g,"/"),process.argv.slice(2),process.on("uncaughtException",(function(e){if(!(e instanceof Ee))throw e})),process.on("unhandledRejection",ee),u=function(e){process.exit(e)},r.inspect=function(){return"[Emscripten Module object]"}):l?("undefined"!=typeof read&&(d=function(e){return read(e)}),c=function(e){var n;return"function"==typeof readbuffer?new Uint8Array(readbuffer(e)):(I("object"==typeof(n=read(e,"binary"))),n)},"undefined"!=typeof scriptArgs&&scriptArgs,"function"==typeof quit&&(u=function(e){quit(e)}),"undefined"!=typeof print&&("undefined"==typeof console&&(console={}),console.log=print,console.warn=console.error="undefined"!=typeof printErr?printErr:print)):(s||o)&&(o?m=self.location.href:document.currentScript&&(m=document.currentScript.src),t&&(m=t),m=0!==m.indexOf("blob:")?m.substr(0,m.lastIndexOf("/")+1):"",d=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.send(null),n.responseText},o&&(c=function(e){var n=new XMLHttpRequest;return n.open("GET",e,!1),n.responseType="arraybuffer",n.send(null),new Uint8Array(n.response)}));var _,b,y,g=r.print||console.log.bind(console),w=r.printErr||console.warn.bind(console);for(n in a)a.hasOwnProperty(n)&&(r[n]=a[n]);a=null,r.arguments&&r.arguments,r.thisProgram&&r.thisProgram,r.quit&&(u=r.quit),r.wasmBinary&&(_=r.wasmBinary),r.noExitRuntime&&(b=r.noExitRuntime),"object"!=typeof WebAssembly&&w("no native wasm support detected"),new WebAssembly.Table({initial:147,maximum:147,element:"anyfunc"});var v=!1;function I(e,n){e||ee("Assertion failed: "+n)}function k(e){var n=r["_"+e];return I(n,"Cannot call unknown function "+e+", make sure it is exported"),n}function E(e,n,t,r,a){var u={string:function(e){var n=0;if(null!=e&&0!==e){var t=1+(e.length<<2);C(e,n=Ie(t),t)}return n},array:function(e){var n=Ie(e.length);return R(e,n),n}},s=k(e),o=[],i=0;if(r)for(var l=0;l<r.length;l++){var d=u[t[l]];d?(0===i&&(i=ve()),o[l]=d(r[l])):o[l]=r[l]}var c=s.apply(null,o);return c=function(e){return"string"===n?F(e):"boolean"===n?Boolean(e):e}(c),0!==i&&ke(i),c}function A(e,n,t,r){var a=(t=t||[]).every((function(e){return"number"===e}));return"string"!==n&&a&&!r?k(e):function(){return E(e,n,t,arguments)}}var M,S,x,N="undefined"!=typeof TextDecoder?new TextDecoder("utf8"):void 0;function T(e,n,t){for(var r=n+t,a=n;e[a]&&!(a>=r);)++a;if(a-n>16&&e.subarray&&N)return N.decode(e.subarray(n,a));for(var u="";n<a;){var s=e[n++];if(128&s){var o=63&e[n++];if(192!=(224&s)){var i=63&e[n++];if((s=224==(240&s)?(15&s)<<12|o<<6|i:(7&s)<<18|o<<12|i<<6|63&e[n++])<65536)u+=String.fromCharCode(s);else{var l=s-65536;u+=String.fromCharCode(55296|l>>10,56320|1023&l)}}else u+=String.fromCharCode((31&s)<<6|o)}else u+=String.fromCharCode(s)}return u}function F(e,n){return e?T(S,e,n):""}function O(e,n,t,r){if(!(r>0))return 0;for(var a=t,u=t+r-1,s=0;s<e.length;++s){var o=e.charCodeAt(s);if(o>=55296&&o<=57343&&(o=65536+((1023&o)<<10)|1023&e.charCodeAt(++s)),o<=127){if(t>=u)break;n[t++]=o}else if(o<=2047){if(t+1>=u)break;n[t++]=192|o>>6,n[t++]=128|63&o}else if(o<=65535){if(t+2>=u)break;n[t++]=224|o>>12,n[t++]=128|o>>6&63,n[t++]=128|63&o}else{if(t+3>=u)break;n[t++]=240|o>>18,n[t++]=128|o>>12&63,n[t++]=128|o>>6&63,n[t++]=128|63&o}}return n[t]=0,t-a}function C(e,n,t){return O(e,S,n,t)}function R(e,n){M.set(e,n)}function P(e){r.HEAP8=M=new Int8Array(e),r.HEAP16=new Int16Array(e),r.HEAP32=x=new Int32Array(e),r.HEAPU8=S=new Uint8Array(e),r.HEAPU16=new Uint16Array(e),r.HEAPU32=new Uint32Array(e),r.HEAPF32=new Float32Array(e),r.HEAPF64=new Float64Array(e)}function D(e){for(;e.length>0;){var n=e.shift();if("function"!=typeof n){var t=n.func;"number"==typeof t?void 0===n.arg?r.dynCall_v(t):r.dynCall_vi(t,n.arg):t(void 0===n.arg?null:n.arg)}else n(r)}}r.INITIAL_MEMORY;var W=[],B=[],L=[],H=[];function U(){if(r.preRun)for("function"==typeof r.preRun&&(r.preRun=[r.preRun]);r.preRun.length;)V(r.preRun.shift());D(W)}function z(){D(B)}function j(){D(L)}function G(){if(r.postRun)for("function"==typeof r.postRun&&(r.postRun=[r.postRun]);r.postRun.length;)q(r.postRun.shift());D(H)}function V(e){W.unshift(e)}function q(e){H.unshift(e)}var X=Math.ceil,$=Math.floor,Y=0,K=null,Q=null;function Z(e){Y++,r.monitorRunDependencies&&r.monitorRunDependencies(Y)}function J(e){if(Y--,r.monitorRunDependencies&&r.monitorRunDependencies(Y),0==Y&&(null!==K&&(clearInterval(K),K=null),Q)){var n=Q;Q=null,n()}}function ee(e){throw r.onAbort&&r.onAbort(e),g(e+=""),w(e),v=!0,e="abort("+e+"). Build with -s ASSERTIONS=1 for more info.",new WebAssembly.RuntimeError(e)}function ne(e,n){return String.prototype.startsWith?e.startsWith(n):0===e.indexOf(n)}r.preloadedImages={},r.preloadedAudios={};var te="data:application/octet-stream;base64,";function re(e){return ne(e,te)}var ae="file://";function ue(e){return ne(e,ae)}var se="tfjs-backend-wasm.wasm";function oe(){try{if(_)return new Uint8Array(_);if(c)return c(se);throw"both async and sync fetching of the wasm failed"}catch(e){ee(e)}}function ie(){return _||!s&&!o||"function"!=typeof fetch||ue(se)?new Promise((function(e,n){e(oe())})):fetch(se,{credentials:"same-origin"}).then((function(e){if(!e.ok)throw"failed to load wasm binary file at '"+se+"'";return e.arrayBuffer()})).catch((function(){return oe()}))}function le(){var e={env:ye,wasi_snapshot_preview1:ye};function n(e,n){var t=e.exports;r.asm=t,P((y=t.memory).buffer),J()}function t(e){n(e.instance)}function a(n){return ie().then((function(n){return WebAssembly.instantiate(n,e)})).then(n,(function(e){w("failed to asynchronously prepare wasm: "+e),ee(e)}))}if(Z(),r.instantiateWasm)try{return r.instantiateWasm(e,n)}catch(e){return w("Module.instantiateWasm callback failed with error: "+e),!1}return function(){if(_||"function"!=typeof WebAssembly.instantiateStreaming||re(se)||ue(se)||"function"!=typeof fetch)return a(t);fetch(se,{credentials:"same-origin"}).then((function(n){return WebAssembly.instantiateStreaming(n,e).then(t,(function(e){w("wasm streaming compile failed: "+e),w("falling back to ArrayBuffer instantiation"),a(t)}))}))}(),{}}function de(e){P(y.buffer)}re(se)||(se=h(se)),B.push();var ce={mappings:{},buffers:[null,[],[]],printChar:function(e,n){var t=ce.buffers[e];0===n||10===n?((1===e?g:w)(T(t,0)),t.length=0):t.push(n)},varargs:void 0,get:function(){return ce.varargs+=4,x[ce.varargs-4>>2]},getStr:function(e){return F(e)},get64:function(e,n){return e}};function pe(e){return 0}function fe(e,n,t,r,a){}function me(e,n,t,r){for(var a=0,u=0;u<t;u++){for(var s=x[n+8*u>>2],o=x[n+(8*u+4)>>2],i=0;i<o;i++)ce.printChar(e,S[s+i]);a+=o}return x[r>>2]=a,0}function he(e){Se(e)}function _e(e){he(e)}function be(e){return(e=+e)>=0?+$(e+.5):+X(e-.5)}var ye={emscripten_notify_memory_growth:de,fd_close:pe,fd_seek:fe,fd_write:me,proc_exit:_e,roundf:be},ge=le();r.asm=ge,r._init=function(){return(r._init=r.asm.init).apply(null,arguments)},r._register_tensor=function(){return(r._register_tensor=r.asm.register_tensor).apply(null,arguments)},r._dispose_data=function(){return(r._dispose_data=r.asm.dispose_data).apply(null,arguments)},r._dispose=function(){return(r._dispose=r.asm.dispose).apply(null,arguments)},r._Abs=function(){return(r._Abs=r.asm.Abs).apply(null,arguments)},r._Add=function(){return(r._Add=r.asm.Add).apply(null,arguments)},r._AddN=function(){return(r._AddN=r.asm.AddN).apply(null,arguments)},r._ArgMax=function(){return(r._ArgMax=r.asm.ArgMax).apply(null,arguments)},r._AvgPool=function(){return(r._AvgPool=r.asm.AvgPool).apply(null,arguments)},r._BatchMatMul=function(){return(r._BatchMatMul=r.asm.BatchMatMul).apply(null,arguments)},r._ClipByValue=function(){return(r._ClipByValue=r.asm.ClipByValue).apply(null,arguments)},r._Conv2D=function(){return(r._Conv2D=r.asm.Conv2D).apply(null,arguments)},r._Conv2DBackpropInput=function(){return(r._Conv2DBackpropInput=r.asm.Conv2DBackpropInput).apply(null,arguments)},r._Cos=function(){return(r._Cos=r.asm.Cos).apply(null,arguments)},r._CropAndResize=function(){return(r._CropAndResize=r.asm.CropAndResize).apply(null,arguments)},r._DepthwiseConv2dNative=function(){return(r._DepthwiseConv2dNative=r.asm.DepthwiseConv2dNative).apply(null,arguments)},r._Div=function(){return(r._Div=r.asm.Div).apply(null,arguments)},r._Equal=function(){return(r._Equal=r.asm.Equal).apply(null,arguments)},r._Exp=function(){return(r._Exp=r.asm.Exp).apply(null,arguments)},r._FlipLeftRight=function(){return(r._FlipLeftRight=r.asm.FlipLeftRight).apply(null,arguments)},r._FloorDiv=function(){return(r._FloorDiv=r.asm.FloorDiv).apply(null,arguments)},r._FusedBatchNorm=function(){return(r._FusedBatchNorm=r.asm.FusedBatchNorm).apply(null,arguments)},r._FusedConv2D=function(){return(r._FusedConv2D=r.asm.FusedConv2D).apply(null,arguments)},r._FusedDepthwiseConv2D=function(){return(r._FusedDepthwiseConv2D=r.asm.FusedDepthwiseConv2D).apply(null,arguments)},r._Gather=function(){return(r._Gather=r.asm.Gather).apply(null,arguments)},r._GatherNd=function(){return(r._GatherNd=r.asm.GatherNd).apply(null,arguments)},r._Greater=function(){return(r._Greater=r.asm.Greater).apply(null,arguments)},r._GreaterEqual=function(){return(r._GreaterEqual=r.asm.GreaterEqual).apply(null,arguments)},r._Less=function(){return(r._Less=r.asm.Less).apply(null,arguments)},r._LessEqual=function(){return(r._LessEqual=r.asm.LessEqual).apply(null,arguments)},r._Log=function(){return(r._Log=r.asm.Log).apply(null,arguments)},r._LogicalAnd=function(){return(r._LogicalAnd=r.asm.LogicalAnd).apply(null,arguments)},r._Max=function(){return(r._Max=r.asm.Max).apply(null,arguments)},r._MaxPool=function(){return(r._MaxPool=r.asm.MaxPool).apply(null,arguments)},r._Maximum=function(){return(r._Maximum=r.asm.Maximum).apply(null,arguments)},r._Min=function(){return(r._Min=r.asm.Min).apply(null,arguments)},r._Minimum=function(){return(r._Minimum=r.asm.Minimum).apply(null,arguments)},r._Multiply=function(){return(r._Multiply=r.asm.Multiply).apply(null,arguments)},r._Negate=function(){return(r._Negate=r.asm.Negate).apply(null,arguments)},r._NonMaxSuppressionV3=function(){return(r._NonMaxSuppressionV3=r.asm.NonMaxSuppressionV3).apply(null,arguments)},r._NonMaxSuppressionV4=function(){return(r._NonMaxSuppressionV4=r.asm.NonMaxSuppressionV4).apply(null,arguments)},r._NonMaxSuppressionV5=function(){return(r._NonMaxSuppressionV5=r.asm.NonMaxSuppressionV5).apply(null,arguments)},r._NotEqual=function(){return(r._NotEqual=r.asm.NotEqual).apply(null,arguments)},r._OneHot=function(){return(r._OneHot=r.asm.OneHot).apply(null,arguments)},r._PadV2=function(){return(r._PadV2=r.asm.PadV2).apply(null,arguments)},r._Pow=function(){return(r._Pow=r.asm.Pow).apply(null,arguments)},r._Prelu=function(){return(r._Prelu=r.asm.Prelu).apply(null,arguments)},r._Relu=function(){return(r._Relu=r.asm.Relu).apply(null,arguments)},r._Relu6=function(){return(r._Relu6=r.asm.Relu6).apply(null,arguments)},r._ResizeBilinear=function(){return(r._ResizeBilinear=r.asm.ResizeBilinear).apply(null,arguments)},r._Reverse=function(){return(r._Reverse=r.asm.Reverse).apply(null,arguments)},r._RotateWithOffset=function(){return(r._RotateWithOffset=r.asm.RotateWithOffset).apply(null,arguments)},r._Rsqrt=function(){return(r._Rsqrt=r.asm.Rsqrt).apply(null,arguments)},r._ScatterNd=function(){return(r._ScatterNd=r.asm.ScatterNd).apply(null,arguments)},r._SelectV2=function(){return(r._SelectV2=r.asm.SelectV2).apply(null,arguments)},r._Sigmoid=function(){return(r._Sigmoid=r.asm.Sigmoid).apply(null,arguments)},r._Sin=function(){return(r._Sin=r.asm.Sin).apply(null,arguments)},r._Softmax=function(){return(r._Softmax=r.asm.Softmax).apply(null,arguments)},r._Sqrt=function(){return(r._Sqrt=r.asm.Sqrt).apply(null,arguments)},r._Square=function(){return(r._Square=r.asm.Square).apply(null,arguments)},r._Sub=function(){return(r._Sub=r.asm.Sub).apply(null,arguments)},r._Sum=function(){return(r._Sum=r.asm.Sum).apply(null,arguments)},r._Tanh=function(){return(r._Tanh=r.asm.Tanh).apply(null,arguments)},r._Tile=function(){return(r._Tile=r.asm.Tile).apply(null,arguments)},r._Transpose=function(){return(r._Transpose=r.asm.Transpose).apply(null,arguments)},r.__FusedMatMul=function(){return(r.__FusedMatMul=r.asm._FusedMatMul).apply(null,arguments)},r._malloc=function(){return(r._malloc=r.asm.malloc).apply(null,arguments)},r._free=function(){return(r._free=r.asm.free).apply(null,arguments)},r.__start=function(){return(r.__start=r.asm._start).apply(null,arguments)};var we,ve=r.stackSave=function(){return(ve=r.stackSave=r.asm.stackSave).apply(null,arguments)},Ie=r.stackAlloc=function(){return(Ie=r.stackAlloc=r.asm.stackAlloc).apply(null,arguments)},ke=r.stackRestore=function(){return(ke=r.stackRestore=r.asm.stackRestore).apply(null,arguments)};function Ee(e){this.name="ExitStatus",this.message="Program terminated with exit("+e+")",this.status=e}function Ae(e){var n=r.__start;try{n(),Se(0,!0)}catch(e){if(e instanceof Ee)return;if("unwind"==e)return void(b=!0);var t=e;e&&"object"==typeof e&&e.stack&&(t=[e,e.stack]),w("exception thrown: "+t),u(1,e)}}function Me(e){function n(){we||(we=!0,r.calledRun=!0,v||(z(),j(),r.onRuntimeInitialized&&r.onRuntimeInitialized(),xe&&Ae(),G()))}Y>0||(U(),Y>0||(r.setStatus?(r.setStatus("Running..."),setTimeout((function(){setTimeout((function(){r.setStatus("")}),1),n()}),1)):n()))}function Se(e,n){n&&b&&0===e||(b||(v=!0,r.onExit&&r.onExit(e)),u(e,new Ee(e)))}if(r.asm=ge,r.cwrap=A,r.then=function(e){if(we)e(r);else{var n=r.onRuntimeInitialized;r.onRuntimeInitialized=function(){n&&n(),e(r)}}return r},Q=function e(){we||Me(),we||(Q=e)},r.run=Me,r.preInit)for("function"==typeof r.preInit&&(r.preInit=[r.preInit]);r.preInit.length>0;)r.preInit.pop()();var xe=!0;return r.noInitialRun&&(xe=!1),b=!0,Me(),e});e.exports=r}));class Kn extends Me{constructor(e){super(),this.wasm=e,this.dataIdNextNumber=1,this.wasm.tfjs.init(),this.dataIdMap=new Se(this,xe())}write(e,n,t){const r={};return this.move(r,e,n,t),r}numDataIds(){return this.dataIdMap.numDataIds()}async time(e){const t=n.now();return e(),{kernelMs:n.now()-t}}move(e,t,r,a){const u=this.dataIdNextNumber++;if("string"===a){const n=t;return void this.dataIdMap.set(e,{id:u,stringBytes:n,shape:r,dtype:a,memoryOffset:null})}const s=n.sizeFromShape(r),o=s*n.bytesPerElement(a),i=this.wasm._malloc(o);this.dataIdMap.set(e,{id:u,memoryOffset:i,shape:r,dtype:a}),this.wasm.tfjs.registerTensor(u,s,i),null!=t&&this.wasm.HEAPU8.set(new Uint8Array(t.buffer,t.byteOffset,o),i)}async read(e){return this.readSync(e)}readSync(e){const{memoryOffset:t,dtype:r,shape:a,stringBytes:u}=this.dataIdMap.get(e);return"string"===r?u:function(e,n){switch(n){case"float32":return new Float32Array(e);case"int32":return new Int32Array(e);case"bool":return new Uint8Array(e);default:throw new Error(`Unknown dtype ${n}`)}}(this.wasm.HEAPU8.slice(t,t+n.sizeFromShape(a)*n.bytesPerElement(r)).buffer,r)}disposeData(e){const n=this.dataIdMap.get(e);this.wasm._free(n.memoryOffset),this.wasm.tfjs.disposeData(n.id),this.dataIdMap.delete(e)}floatPrecision(){return 32}getMemoryOffset(e){return this.dataIdMap.get(e).memoryOffset}dispose(){this.wasm.tfjs.dispose(),this.wasm=null}memory(){return{unreliable:!1}}makeOutput(e,t,r){let a;if(null==r)a=this.write(null,e,t);else{a={};const u=this.dataIdNextNumber++;this.dataIdMap.set(a,{id:u,memoryOffset:r,shape:e,dtype:t});const s=n.sizeFromShape(e);this.wasm.tfjs.registerTensor(u,s,r)}return{dataId:a,shape:e,dtype:t}}typedArrayFromHeap({shape:e,dtype:t,dataId:r}){const a=this.wasm.HEAPU8.buffer,{memoryOffset:u}=this.dataIdMap.get(r),s=n.sizeFromShape(e);switch(t){case"float32":return new Float32Array(a,u,s);case"int32":return new Int32Array(a,u,s);case"bool":return new Uint8Array(a,u,s);default:throw new Error(`Uknown dtype ${t}`)}}}function Qn(e,n,t){if(null!=Jn)return Jn;let r="tfjs-backend-wasm.wasm";return e&&n?r="tfjs-backend-wasm-threaded-simd.wasm":e&&(r="tfjs-backend-wasm-simd.wasm"),null!=nt&&null!=nt[r]?nt[r]:t+r}Ne("wasm",async()=>{const{wasm:e}=await async function(){const[e,t]=await Promise.all([Ae().getAsync("WASM_HAS_SIMD_SUPPORT"),Ae().getAsync("WASM_HAS_MULTITHREAD_SUPPORT")]);return new Promise((r,a)=>{const u={};let s;u.locateFile=(n,r)=>{if(n.endsWith(".worker.js")){const e=new Blob([$n],{type:"application/javascript"});return URL.createObjectURL(e)}return n.endsWith(".wasm")?Qn(e,t,null!=et?et:r):r+n},rt&&(u.instantiateWasm=function(e){return(t,r)=>(n.fetch(e,{credentials:"same-origin"}).then(n=>{n.ok||t.env.a(`failed to load wasm binary file at '${e}'`),n.arrayBuffer().then(e=>{WebAssembly.instantiate(e,t).then(e=>{r(e.instance)})})}),{})}(Qn(e,t,null!=et?et:""))),t&&e&&null==Jn?(s=Xn(u),s.mainScriptUrlOrBlob=new Blob(["var _scriptDir = undefined; var WasmBackendModuleThreadedSimd = "+Xn.toString()],{type:"text/javascript"})):s=Yn(u);s.tfjs={init:s.cwrap("init",null,[]),registerTensor:s.cwrap("register_tensor",null,["number","number","number"]),disposeData:s.cwrap("dispose_data",null,["number"]),dispose:s.cwrap("dispose",null,[])};let o=!1;s.onRuntimeInitialized=()=>{o=!0,tt=!1,r({wasm:s})},s.onAbort=()=>{if(o)return;if(tt)return;tt=!0;a({message:"Make sure the server can serve the `.wasm` file relative to the bundled js file. For more details see https://github.com/tensorflow/tfjs/blob/master/tfjs-backend-wasm/README.md#using-bundlers"})}})}();return new Kn(e)},2);const Zn=["tfjs-backend-wasm.wasm","tfjs-backend-wasm-simd.wasm","tfjs-backend-wasm-threaded-simd.wasm"];let Jn=null,et=null,nt={},tt=!1,rt=!1;function at(e,n=!1){if(Te("setWasmPath has been deprecated in favor of setWasmPaths and will be removed in a future release."),tt)throw new Error("The WASM backend was already initialized. Make sure you call `setWasmPath()` before you call `tf.setBackend()` or `tf.ready()`");Jn=e,rt=n}function ut(e,n=!1){if(tt)throw new Error("The WASM backend was already initialized. Make sure you call `setWasmPaths()` before you call `tf.setBackend()` or `tf.ready()`");if("string"==typeof e)et=e;else{nt=e;const n=Zn.filter(e=>null==nt[e]);if(n.length>0)throw new Error("There were no entries found for the following binaries: "+`${n.join(",")}. Please either call setWasmPaths with a `+"map providing a path for each binary, or with a string indicating the directory where all the binaries can be found.")}rt=n}const st="2.2.0";export{Kn as BackendWasm,at as setWasmPath,ut as setWasmPaths,st as version_wasm};
//# sourceMappingURL=tf-backend-wasm.esm.js.map
